/*
 * Themeable_Stock_Images methods tests
 * Testing Themeable_Stock_Images methods
 *
 */ 

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <tet_api.h>
#include <ft2build.h>
#include FT_FREETYPE_H
#include <fontconfig/fontconfig.h>
#define _XFT_NO_COMPAT
#define _XFTCOMPAT_H_
#include <X11/Xlib.h>
#include <X11/Xft/Xft.h>
#include <pango/pangoft2.h>
#include <gtk/gtk.h>
#include <glib.h>
#include <glib/gstdio.h>
#include <gmodule.h>
#include <gdk/gdkkeysyms.h>
#include <errno.h>
#include <unistd.h>

#include "libtestgen.h"
#include "libstr.h"
#include "libfile.h"
#include "libthr.h"

#define TEST_FAIL(str, ...) {test_failed ();tet_printf("%s, line %d: ", __FILE__, __LINE__);tet_printf (str, __VA_ARGS__);}

/*
 * global variables
 */

int test_purp_passed_num = 0;
int all_test_purp_num = 0;
int double_bug = 0;
unsigned test_passed_flag = 1;

/*
 * function prototypes
 */
static char* get_not_created_msg (void);
static char* get_wrong_type_msg (void);
static void test_passed (void);
static void test_failed (void);
static void startup_func();
static void cleanup_func();


gchar* bug_inf = NULL;

/*
 * Name: gtk_icon_source_new 
 * Params: void
 * Returns: GtkIconSource*
 * Assertion: Creates a new GtkIconSource.
 * Params Values: void
 * Expected: GtkIconSource*  
 */
static void test_purpose_1()
{
    GtkIconSource *widget;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_free
 * Params: const GtkIconSource *source
 * Returns: void
 * Assertion: Frees a dynamically-allocated icon source, along with its filename, size, and pixbuf fields if those are not NULL.
 * Params Values: GtkIconSource*
 * Expected: void  
 */
static void test_purpose_2()
{
    GtkIconSource *source;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    source = gtk_icon_source_new ();
    
    if (!source)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_free (source);
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_copy
 * Params: const GtkIconSource *source
 * Returns: GtkIconSource*
 * Assertion: Creates a copy of source; mostly useful for language bindings.
 * Params Values: GtkIconSource*
 * Expected: GtkIconSource*  
 */
static void test_purpose_3()
{
    GtkIconSource *widget;
    GtkIconSource *source;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    source = gtk_icon_source_new ();
    
    if (!source)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    widget = gtk_icon_source_copy (source);
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_direction
 * Params: const GtkIconSource *source
 * Returns: GtkTextDirection
 * Assertion: Obtains the text direction this icon source applies to.
 * Params Values: GtkIconSource* 
 * Expected: GTK_TEXT_DIR_NONE
 * 
 * Name: gtk_icon_source_set_direction
 * Params: GtkIconSource *source,GtkTextDirection direction
 * Returns: void
 * Assertion: Sets the text direction this icon source is intended to be used with.
 * Params Values: GtkIconSource*,GTK_TEXT_DIR_NONE
 * Expected: void  
 */
static void test_purpose_4()
{
    #define DIRECTION GTK_TEXT_DIR_NONE
    
    GtkIconSource *widget;
    GtkTextDirection direction;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_direction (widget,DIRECTION);
    
    direction = gtk_icon_source_get_direction (widget);
    if (direction != DIRECTION)
    {
        TEST_FAIL ("direction is %d,should be %d",direction,DIRECTION);
    }
    
    
    #undef DIRECTION
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_direction
 * Params: const GtkIconSource *source
 * Returns: GtkTextDirection
 * Assertion: Obtains the text direction this icon source applies to.
 * Params Values: GtkIconSource* 
 * Expected: GTK_TEXT_DIR_LTR
 * 
 * Name: gtk_icon_source_set_direction
 * Params: GtkIconSource *source,GtkTextDirection direction
 * Returns: void
 * Assertion: Sets the text direction this icon source is intended to be used with.
 * Params Values: GtkIconSource*,GTK_TEXT_DIR_LTR
 * Expected: void  
 */
static void test_purpose_5()
{
    #define DIRECTION GTK_TEXT_DIR_LTR
    
    GtkIconSource *widget;
    GtkTextDirection direction;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_direction (widget,DIRECTION);
    
    direction = gtk_icon_source_get_direction (widget);
    if (direction != DIRECTION)
    {
        TEST_FAIL ("direction is %d,should be %d",direction,DIRECTION);
    }
    
    
    #undef DIRECTION
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_direction
 * Params: const GtkIconSource *source
 * Returns: GtkTextDirection
 * Assertion: Obtains the text direction this icon source applies to.
 * Params Values: GtkIconSource* 
 * Expected: GTK_TEXT_DIR_RTL
 * 
 * Name: gtk_icon_source_set_direction
 * Params: GtkIconSource *source,GtkTextDirection direction
 * Returns: void
 * Assertion: Sets the text direction this icon source is intended to be used with.
 * Params Values: GtkIconSource*,GTK_TEXT_DIR_RTL
 * Expected: void  
 */
static void test_purpose_6()
{
    #define DIRECTION GTK_TEXT_DIR_RTL
    
    GtkIconSource *widget;
    GtkTextDirection direction;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_direction (widget,DIRECTION);
    
    direction = gtk_icon_source_get_direction (widget);
    if (direction != DIRECTION)
    {
        TEST_FAIL ("direction is %d,should be %d",direction,DIRECTION);
    }
    
    
    #undef DIRECTION
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_direction_wildcarded
 * Params: const GtkIconSource *source
 * Returns: gboolean
 * Assertion: Gets the value set by gtk_icon_source_set_direction_wildcarded().
 * Params Values: GtkIconSource* 
 * Expected: TRUE
 * 
 * Name: gtk_icon_source_set_direction_wildcarded
 * Params: GtkIconSource *source,gboolean setting
 * Returns: void
 * Assertion: If the text direction is wildcarded, this source can be used as the base image for an icon in any GtkTextDirection.
 * Params Values: GtkIconSource*,TRUE
 * Expected: void  
 */
static void test_purpose_7()
{
    #define SETTING TRUE
    
    GtkIconSource *widget;
    gboolean setting;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_direction_wildcarded (widget,SETTING);
    
    setting = gtk_icon_source_get_direction_wildcarded (widget);
    if (setting != SETTING)
    {
        TEST_FAIL ("setting is %d,should be %d",setting,SETTING);
    }
    
    
    #undef SETTING
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_direction_wildcarded
 * Params: const GtkIconSource *source
 * Returns: gboolean
 * Assertion: Gets the value set by gtk_icon_source_set_direction_wildcarded().
 * Params Values: GtkIconSource* 
 * Expected: FALSE
 * 
 * Name: gtk_icon_source_set_direction_wildcarded
 * Params: GtkIconSource *source,gboolean setting
 * Returns: void
 * Assertion: If the text direction is wildcarded, this source can be used as the base image for an icon in any GtkTextDirection.
 * Params Values: GtkIconSource*,FALSE
 * Expected: void  
 */
static void test_purpose_8()
{
    #define SETTING FALSE
    
    GtkIconSource *widget;
    gboolean setting;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_direction_wildcarded (widget,SETTING);
    
    setting = gtk_icon_source_get_direction_wildcarded (widget);
    if (setting != SETTING)
    {
        TEST_FAIL ("setting is %d,should be %d",setting,SETTING);
    }
    
    
    #undef SETTING
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_filename
 * Params: const GtkIconSource *source
 * Returns: G_CONST_RETURN gchar*
 * Assertion: Retrieves the source filename, or NULL if none is set.
 * Params Values: GtkIconSource* 
 * Expected: "/gnome-logo-icon.png"
 * 
 * Name: gtk_icon_source_set_filename
 * Params: GtkIconSource *source,const gchar *filename
 * Returns: void
 * Assertion: Sets the name of an image file to use as a base image when creating icon variants for GtkIconSet.
 * Params Values: GtkIconSource*,"/gnome-logo-icon.png"
 * Expected: void  
 */
static void test_purpose_9()
{
    #define FILE "/gnome-logo-icon.png"
    
    GtkIconSource *widget;
    const gchar* file;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_filename (widget,FILE);
    
    file = gtk_icon_source_get_filename (widget);
    if(FILE)
    {
        if (strcmp ((gchar*)file,(gchar*) FILE))
        {
            TEST_FAIL ("filename is '%s',should be '%s'",file,FILE);
        }
    }
    else if (file)
    {
        TEST_FAIL ("result should be NULL",NULL)
    }
    
    
    
    #undef FILE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_filename
 * Params: const GtkIconSource *source
 * Returns: G_CONST_RETURN gchar*
 * Assertion: Retrieves the source filename, or NULL if none is set.
 * Params Values: GtkIconSource* 
 * Expected: "/Text"
 * 
 * Name: gtk_icon_source_set_filename
 * Params: GtkIconSource *source,const gchar *filename
 * Returns: void
 * Assertion: Sets the name of an image file to use as a base image when creating icon variants for GtkIconSet.
 * Params Values: GtkIconSource*,"/Text"
 * Expected: void  
 */
static void test_purpose_10()
{
    #define FILE "/Text"
    
    GtkIconSource *widget;
    const gchar* file;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_filename (widget,FILE);
    
    file = gtk_icon_source_get_filename (widget);
    if(FILE)
    {
        if (strcmp ((gchar*)file,(gchar*) FILE))
        {
            TEST_FAIL ("filename is '%s',should be '%s'",file,FILE);
        }
    }
    else if (file)
    {
        TEST_FAIL ("result should be NULL",NULL)
    }
    
    
    
    #undef FILE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_filename
 * Params: const GtkIconSource *source
 * Returns: G_CONST_RETURN gchar*
 * Assertion: Retrieves the source filename, or NULL if none is set.
 * Params Values: GtkIconSource* 
 * Expected: "/abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890"
 * 
 * Name: gtk_icon_source_set_filename
 * Params: GtkIconSource *source,const gchar *filename
 * Returns: void
 * Assertion: Sets the name of an image file to use as a base image when creating icon variants for GtkIconSet.
 * Params Values: GtkIconSource*,"/abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890"
 * Expected: void  
 */
static void test_purpose_11()
{
    #define FILE "/abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890"
    
    GtkIconSource *widget;
    const gchar* file;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_filename (widget,FILE);
    
    file = gtk_icon_source_get_filename (widget);
    if(FILE)
    {
        if (strcmp ((gchar*)file,(gchar*) FILE))
        {
            TEST_FAIL ("filename is '%s',should be '%s'",file,FILE);
        }
    }
    else if (file)
    {
        TEST_FAIL ("result should be NULL",NULL)
    }
    
    
    
    #undef FILE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_filename
 * Params: const GtkIconSource *source
 * Returns: G_CONST_RETURN gchar*
 * Assertion: Retrieves the source filename, or NULL if none is set.
 * Params Values: GtkIconSource* 
 * Expected: "/!@#$%^&*()_+|~=\";:'?<>`/"
 * 
 * Name: gtk_icon_source_set_filename
 * Params: GtkIconSource *source,const gchar *filename
 * Returns: void
 * Assertion: Sets the name of an image file to use as a base image when creating icon variants for GtkIconSet.
 * Params Values: GtkIconSource*,"/!@#$%^&*()_+|~=\";:'?<>`/"
 * Expected: void  
 */
static void test_purpose_12()
{
    #define FILE "/!@#$%^&*()_+|~=\";:'?<>`/"
    
    GtkIconSource *widget;
    const gchar* file;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_filename (widget,FILE);
    
    file = gtk_icon_source_get_filename (widget);
    if(FILE)
    {
        if (strcmp ((gchar*)file,(gchar*) FILE))
        {
            TEST_FAIL ("filename is '%s',should be '%s'",file,FILE);
        }
    }
    else if (file)
    {
        TEST_FAIL ("result should be NULL",NULL)
    }
    
    
    
    #undef FILE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_filename
 * Params: const GtkIconSource *source
 * Returns: G_CONST_RETURN gchar*
 * Assertion: Retrieves the source filename, or NULL if none is set.
 * Params Values: GtkIconSource* 
 * Expected: "/\b\n\t"
 * 
 * Name: gtk_icon_source_set_filename
 * Params: GtkIconSource *source,const gchar *filename
 * Returns: void
 * Assertion: Sets the name of an image file to use as a base image when creating icon variants for GtkIconSet.
 * Params Values: GtkIconSource*,"/\b\n\t"
 * Expected: void  
 */
static void test_purpose_13()
{
    #define FILE "/\b\n\t"
    
    GtkIconSource *widget;
    const gchar* file;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_filename (widget,FILE);
    
    file = gtk_icon_source_get_filename (widget);
    if(FILE)
    {
        if (strcmp ((gchar*)file,(gchar*) FILE))
        {
            TEST_FAIL ("filename is '%s',should be '%s'",file,FILE);
        }
    }
    else if (file)
    {
        TEST_FAIL ("result should be NULL",NULL)
    }
    
    
    
    #undef FILE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_filename
 * Params: const GtkIconSource *source
 * Returns: G_CONST_RETURN gchar*
 * Assertion: Retrieves the source filename, or NULL if none is set.
 * Params Values: GtkIconSource* 
 * Expected: "/ "
 * 
 * Name: gtk_icon_source_set_filename
 * Params: GtkIconSource *source,const gchar *filename
 * Returns: void
 * Assertion: Sets the name of an image file to use as a base image when creating icon variants for GtkIconSet.
 * Params Values: GtkIconSource*,"/ "
 * Expected: void  
 */
static void test_purpose_14()
{
    #define FILE "/ "
    
    GtkIconSource *widget;
    const gchar* file;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_filename (widget,FILE);
    
    file = gtk_icon_source_get_filename (widget);
    if(FILE)
    {
        if (strcmp ((gchar*)file,(gchar*) FILE))
        {
            TEST_FAIL ("filename is '%s',should be '%s'",file,FILE);
        }
    }
    else if (file)
    {
        TEST_FAIL ("result should be NULL",NULL)
    }
    
    
    
    #undef FILE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_filename
 * Params: const GtkIconSource *source
 * Returns: G_CONST_RETURN gchar*
 * Assertion: Retrieves the source filename, or NULL if none is set.
 * Params Values: GtkIconSource* 
 * Expected: NULL
 * 
 * Name: gtk_icon_source_set_filename
 * Params: GtkIconSource *source,const gchar *filename
 * Returns: void
 * Assertion: Sets the name of an image file to use as a base image when creating icon variants for GtkIconSet.
 * Params Values: GtkIconSource*,NULL
 * Expected: void  
 */
static void test_purpose_15()
{
    #define FILE NULL
    
    GtkIconSource *widget;
    const gchar* file;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_filename (widget,FILE);
    
    file = gtk_icon_source_get_filename (widget);
    if(FILE)
    {
        if (strcmp ((gchar*)file,(gchar*) FILE))
        {
            TEST_FAIL ("filename is '%s',should be '%s'",file,FILE);
        }
    }
    else if (file)
    {
        TEST_FAIL ("result should be NULL",NULL)
    }
    
    
    
    #undef FILE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_size
 * Params: const GtkIconSource *source
 * Returns: GtkIconSize
 * Assertion: Obtains the icon size this source applies to.
 * Params Values: GtkIconSource* 
 * Expected: GTK_ICON_SIZE_INVALID
 * 
 * Name: gtk_icon_source_set_size
 * Params: GtkIconSource *source,GtkIconSize size
 * Returns: void
 * Assertion: Sets the icon size this icon source is intended to be used with.
 * Params Values: GtkIconSource*,GTK_ICON_SIZE_INVALID
 * Expected: void  
 */
static void test_purpose_16()
{
    #define SIZE GTK_ICON_SIZE_INVALID
    
    GtkIconSource *widget;
    GtkIconSize size;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_size (widget,SIZE);
    
    size = gtk_icon_source_get_size (widget);
    if (size != SIZE)
    {
        TEST_FAIL ("size is %d,should be %d",size,SIZE);
    }
    
    
    #undef SIZE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_size
 * Params: const GtkIconSource *source
 * Returns: GtkIconSize
 * Assertion: Obtains the icon size this source applies to.
 * Params Values: GtkIconSource* 
 * Expected: GTK_ICON_SIZE_MENU
 * 
 * Name: gtk_icon_source_set_size
 * Params: GtkIconSource *source,GtkIconSize size
 * Returns: void
 * Assertion: Sets the icon size this icon source is intended to be used with.
 * Params Values: GtkIconSource*,GTK_ICON_SIZE_MENU
 * Expected: void  
 */
static void test_purpose_17()
{
    #define SIZE GTK_ICON_SIZE_MENU
    
    GtkIconSource *widget;
    GtkIconSize size;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_size (widget,SIZE);
    
    size = gtk_icon_source_get_size (widget);
    if (size != SIZE)
    {
        TEST_FAIL ("size is %d,should be %d",size,SIZE);
    }
    
    
    #undef SIZE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_size
 * Params: const GtkIconSource *source
 * Returns: GtkIconSize
 * Assertion: Obtains the icon size this source applies to.
 * Params Values: GtkIconSource* 
 * Expected: GTK_ICON_SIZE_SMALL_TOOLBAR
 * 
 * Name: gtk_icon_source_set_size
 * Params: GtkIconSource *source,GtkIconSize size
 * Returns: void
 * Assertion: Sets the icon size this icon source is intended to be used with.
 * Params Values: GtkIconSource*,GTK_ICON_SIZE_SMALL_TOOLBAR
 * Expected: void  
 */
static void test_purpose_18()
{
    #define SIZE GTK_ICON_SIZE_SMALL_TOOLBAR
    
    GtkIconSource *widget;
    GtkIconSize size;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_size (widget,SIZE);
    
    size = gtk_icon_source_get_size (widget);
    if (size != SIZE)
    {
        TEST_FAIL ("size is %d,should be %d",size,SIZE);
    }
    
    
    #undef SIZE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_size
 * Params: const GtkIconSource *source
 * Returns: GtkIconSize
 * Assertion: Obtains the icon size this source applies to.
 * Params Values: GtkIconSource* 
 * Expected: GTK_ICON_SIZE_LARGE_TOOLBAR
 * 
 * Name: gtk_icon_source_set_size
 * Params: GtkIconSource *source,GtkIconSize size
 * Returns: void
 * Assertion: Sets the icon size this icon source is intended to be used with.
 * Params Values: GtkIconSource*,GTK_ICON_SIZE_LARGE_TOOLBAR
 * Expected: void  
 */
static void test_purpose_19()
{
    #define SIZE GTK_ICON_SIZE_LARGE_TOOLBAR
    
    GtkIconSource *widget;
    GtkIconSize size;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_size (widget,SIZE);
    
    size = gtk_icon_source_get_size (widget);
    if (size != SIZE)
    {
        TEST_FAIL ("size is %d,should be %d",size,SIZE);
    }
    
    
    #undef SIZE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_size
 * Params: const GtkIconSource *source
 * Returns: GtkIconSize
 * Assertion: Obtains the icon size this source applies to.
 * Params Values: GtkIconSource* 
 * Expected: GTK_ICON_SIZE_BUTTON
 * 
 * Name: gtk_icon_source_set_size
 * Params: GtkIconSource *source,GtkIconSize size
 * Returns: void
 * Assertion: Sets the icon size this icon source is intended to be used with.
 * Params Values: GtkIconSource*,GTK_ICON_SIZE_BUTTON
 * Expected: void  
 */
static void test_purpose_20()
{
    #define SIZE GTK_ICON_SIZE_BUTTON
    
    GtkIconSource *widget;
    GtkIconSize size;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_size (widget,SIZE);
    
    size = gtk_icon_source_get_size (widget);
    if (size != SIZE)
    {
        TEST_FAIL ("size is %d,should be %d",size,SIZE);
    }
    
    
    #undef SIZE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_size
 * Params: const GtkIconSource *source
 * Returns: GtkIconSize
 * Assertion: Obtains the icon size this source applies to.
 * Params Values: GtkIconSource* 
 * Expected: GTK_ICON_SIZE_DND
 * 
 * Name: gtk_icon_source_set_size
 * Params: GtkIconSource *source,GtkIconSize size
 * Returns: void
 * Assertion: Sets the icon size this icon source is intended to be used with.
 * Params Values: GtkIconSource*,GTK_ICON_SIZE_DND
 * Expected: void  
 */
static void test_purpose_21()
{
    #define SIZE GTK_ICON_SIZE_DND
    
    GtkIconSource *widget;
    GtkIconSize size;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_size (widget,SIZE);
    
    size = gtk_icon_source_get_size (widget);
    if (size != SIZE)
    {
        TEST_FAIL ("size is %d,should be %d",size,SIZE);
    }
    
    
    #undef SIZE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_size
 * Params: const GtkIconSource *source
 * Returns: GtkIconSize
 * Assertion: Obtains the icon size this source applies to.
 * Params Values: GtkIconSource* 
 * Expected: GTK_ICON_SIZE_DIALOG
 * 
 * Name: gtk_icon_source_set_size
 * Params: GtkIconSource *source,GtkIconSize size
 * Returns: void
 * Assertion: Sets the icon size this icon source is intended to be used with.
 * Params Values: GtkIconSource*,GTK_ICON_SIZE_DIALOG
 * Expected: void  
 */
static void test_purpose_22()
{
    #define SIZE GTK_ICON_SIZE_DIALOG
    
    GtkIconSource *widget;
    GtkIconSize size;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_size (widget,SIZE);
    
    size = gtk_icon_source_get_size (widget);
    if (size != SIZE)
    {
        TEST_FAIL ("size is %d,should be %d",size,SIZE);
    }
    
    
    #undef SIZE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_size_wildcarded
 * Params: const GtkIconSource *source
 * Returns: gboolean
 * Assertion: Gets the value set by gtk_icon_source_set_size_wildcarded().
 * Params Values: GtkIconSource* 
 * Expected: TRUE
 * 
 * Name: gtk_icon_source_set_size_wildcarded
 * Params: GtkIconSource *source,gboolean setting
 * Returns: void
 * Assertion: If the icon size is wildcarded, this source can be used as the base image for an icon of any size. 
 * Params Values: GtkIconSource*,TRUE
 * Expected: void  
 */
static void test_purpose_23()
{
    #define SETTING TRUE
    
    GtkIconSource *widget;
    gboolean setting;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_size_wildcarded (widget,SETTING);
    
    setting = gtk_icon_source_get_size_wildcarded (widget);
    if (setting != SETTING)
    {
        TEST_FAIL ("setting is %d,should be %d",setting,SETTING);
    }
    
    
    #undef SETTING
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_size_wildcarded
 * Params: const GtkIconSource *source
 * Returns: gboolean
 * Assertion: Gets the value set by gtk_icon_source_set_size_wildcarded().
 * Params Values: GtkIconSource* 
 * Expected: FALSE
 * 
 * Name: gtk_icon_source_set_size_wildcarded
 * Params: GtkIconSource *source,gboolean setting
 * Returns: void
 * Assertion: If the icon size is wildcarded, this source can be used as the base image for an icon of any size. 
 * Params Values: GtkIconSource*,FALSE
 * Expected: void  
 */
static void test_purpose_24()
{
    #define SETTING FALSE
    
    GtkIconSource *widget;
    gboolean setting;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_size_wildcarded (widget,SETTING);
    
    setting = gtk_icon_source_get_size_wildcarded (widget);
    if (setting != SETTING)
    {
        TEST_FAIL ("setting is %d,should be %d",setting,SETTING);
    }
    
    
    #undef SETTING
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_state
 * Params: const GtkIconSource *source
 * Returns: GtkStateType
 * Assertion: Obtains the widget state this icon source applies to.
 * Params Values: GtkIconSource* 
 * Expected: GTK_STATE_NORMAL
 * 
 * Name: gtk_icon_source_set_state
 * Params: GtkIconSource *source,GtkStateType state
 * Returns: void
 * Assertion: Sets the widget state this icon source is intended to be used with.
 * Params Values: GtkIconSource*,GTK_STATE_NORMAL
 * Expected: void  
 */
static void test_purpose_25()
{
    #define STATE GTK_STATE_NORMAL
    
    GtkIconSource *widget;
    GtkStateType state;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_state (widget,STATE);
    
    state = gtk_icon_source_get_state (widget);
    if (state != STATE)
    {
        TEST_FAIL ("state is %d,should be %d",state,STATE);
    }
    
    
    #undef STATE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_state
 * Params: const GtkIconSource *source
 * Returns: GtkStateType
 * Assertion: Obtains the widget state this icon source applies to.
 * Params Values: GtkIconSource* 
 * Expected: GTK_STATE_ACTIVE
 * 
 * Name: gtk_icon_source_set_state
 * Params: GtkIconSource *source,GtkStateType state
 * Returns: void
 * Assertion: Sets the widget state this icon source is intended to be used with.
 * Params Values: GtkIconSource*,GTK_STATE_ACTIVE
 * Expected: void  
 */
static void test_purpose_26()
{
    #define STATE GTK_STATE_ACTIVE
    
    GtkIconSource *widget;
    GtkStateType state;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_state (widget,STATE);
    
    state = gtk_icon_source_get_state (widget);
    if (state != STATE)
    {
        TEST_FAIL ("state is %d,should be %d",state,STATE);
    }
    
    
    #undef STATE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_state
 * Params: const GtkIconSource *source
 * Returns: GtkStateType
 * Assertion: Obtains the widget state this icon source applies to.
 * Params Values: GtkIconSource* 
 * Expected: GTK_STATE_PRELIGHT
 * 
 * Name: gtk_icon_source_set_state
 * Params: GtkIconSource *source,GtkStateType state
 * Returns: void
 * Assertion: Sets the widget state this icon source is intended to be used with.
 * Params Values: GtkIconSource*,GTK_STATE_PRELIGHT
 * Expected: void  
 */
static void test_purpose_27()
{
    #define STATE GTK_STATE_PRELIGHT
    
    GtkIconSource *widget;
    GtkStateType state;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_state (widget,STATE);
    
    state = gtk_icon_source_get_state (widget);
    if (state != STATE)
    {
        TEST_FAIL ("state is %d,should be %d",state,STATE);
    }
    
    
    #undef STATE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_state
 * Params: const GtkIconSource *source
 * Returns: GtkStateType
 * Assertion: Obtains the widget state this icon source applies to.
 * Params Values: GtkIconSource* 
 * Expected: GTK_STATE_SELECTED
 * 
 * Name: gtk_icon_source_set_state
 * Params: GtkIconSource *source,GtkStateType state
 * Returns: void
 * Assertion: Sets the widget state this icon source is intended to be used with.
 * Params Values: GtkIconSource*,GTK_STATE_SELECTED
 * Expected: void  
 */
static void test_purpose_28()
{
    #define STATE GTK_STATE_SELECTED
    
    GtkIconSource *widget;
    GtkStateType state;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_state (widget,STATE);
    
    state = gtk_icon_source_get_state (widget);
    if (state != STATE)
    {
        TEST_FAIL ("state is %d,should be %d",state,STATE);
    }
    
    
    #undef STATE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_state
 * Params: const GtkIconSource *source
 * Returns: GtkStateType
 * Assertion: Obtains the widget state this icon source applies to.
 * Params Values: GtkIconSource* 
 * Expected: GTK_STATE_INSENSITIVE
 * 
 * Name: gtk_icon_source_set_state
 * Params: GtkIconSource *source,GtkStateType state
 * Returns: void
 * Assertion: Sets the widget state this icon source is intended to be used with.
 * Params Values: GtkIconSource*,GTK_STATE_INSENSITIVE
 * Expected: void  
 */
static void test_purpose_29()
{
    #define STATE GTK_STATE_INSENSITIVE
    
    GtkIconSource *widget;
    GtkStateType state;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_state (widget,STATE);
    
    state = gtk_icon_source_get_state (widget);
    if (state != STATE)
    {
        TEST_FAIL ("state is %d,should be %d",state,STATE);
    }
    
    
    #undef STATE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_state_wildcarded
 * Params: const GtkIconSource *source
 * Returns: gboolean
 * Assertion: Gets the value set by gtk_icon_source_set_state_wildcarded().
 * Params Values: GtkIconSource* 
 * Expected: TRUE
 * 
 * Name: gtk_icon_source_set_state_wildcarded
 * Params: GtkIconSource *source,gboolean setting
 * Returns: void
 * Assertion: If the widget state is wildcarded, this source can be used as the base image for an icon in any GtkStateType. 
 * Params Values: GtkIconSource*,TRUE
 * Expected: void  
 */
static void test_purpose_30()
{
    #define SETTING TRUE
    
    GtkIconSource *widget;
    gboolean setting;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_state_wildcarded (widget,SETTING);
    
    setting = gtk_icon_source_get_state_wildcarded (widget);
    if (setting != SETTING)
    {
        TEST_FAIL ("setting is %d,should be %d",setting,SETTING);
    }
    
    
    #undef SETTING
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_state_wildcarded
 * Params: const GtkIconSource *source
 * Returns: gboolean
 * Assertion: Gets the value set by gtk_icon_source_set_state_wildcarded().
 * Params Values: GtkIconSource* 
 * Expected: FALSE
 * 
 * Name: gtk_icon_source_set_state_wildcarded
 * Params: GtkIconSource *source,gboolean setting
 * Returns: void
 * Assertion: If the widget state is wildcarded, this source can be used as the base image for an icon in any GtkStateType. 
 * Params Values: GtkIconSource*,FALSE
 * Expected: void  
 */
static void test_purpose_31()
{
    #define SETTING FALSE
    
    GtkIconSource *widget;
    gboolean setting;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_source_set_state_wildcarded (widget,SETTING);
    
    setting = gtk_icon_source_get_state_wildcarded (widget);
    if (setting != SETTING)
    {
        TEST_FAIL ("setting is %d,should be %d",setting,SETTING);
    }
    
    
    #undef SETTING
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_pixbuf
 * Params: const GtkIconSource *source
 * Returns: GdkPixbuf*
 * Assertion: Retrieves the source pixbuf, or NULL if none is set. 
 * Params Values: GtkIconSource* 
 * Expected: GdkPixbuf*
 * 
 * Name: gtk_icon_source_set_pixbuf
 * Params: GtkIconSource *source,GdkPixbuf *pixbuf
 * Returns: void
 * Assertion: Sets a pixbuf to use as a base image when creating icon variants for GtkIconSet.
 * Params Values: GtkIconSource*,GdkPixbuf*
 * Expected: void  
 */
static void test_purpose_32()
{
    #define NAME NULL
    
    GtkIconSource *widget;
    GtkWidget *image;
    GdkPixbuf *pixbuf;
    GdkPixbuf *real_pixbuf;
    const gchar *filename = NAME;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (filename)
    {
        image = gtk_image_new_from_file (filename);
        pixbuf = gtk_image_get_pixbuf (GTK_IMAGE (image));
    } else {
        pixbuf = NULL;
    }
    
    
    gtk_icon_source_set_pixbuf (widget,pixbuf);
    
    real_pixbuf = gtk_icon_source_get_pixbuf (widget);
    if (pixbuf != real_pixbuf)
    {
        TEST_FAIL ("pixbuf is not correct",NULL);
    }
    
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_source_get_pixbuf
 * Params: const GtkIconSource *source
 * Returns: GdkPixbuf*
 * Assertion: The reference count on the pixbuf is not incremented.
 * Params Values: GtkIconSource* 
 * Expected: GdkPixbuf*  
 */
static void test_purpose_33()
{
    #define NAME NULL
    
    GtkIconSource *widget;
    GtkWidget *image;
    GdkPixbuf *pixbuf;
    GdkPixbuf *real_pixbuf;
    const gchar *filename = NAME;
    gint ref;
    gint new_ref;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_source_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (filename)
    {
        image = gtk_image_new_from_file (filename);
        pixbuf = gtk_image_get_pixbuf (GTK_IMAGE (image));
    } else {
        pixbuf = NULL;
    }
    
    if(pixbuf)
    {
        ref = G_OBJECT (pixbuf)->ref_count;
        
        gtk_icon_source_set_pixbuf (widget,pixbuf);
        
        real_pixbuf = gtk_icon_source_get_pixbuf (widget);
        new_ref = G_OBJECT (real_pixbuf)->ref_count;
        
        if (new_ref != ref)
        {
            TEST_FAIL ("reference count is %d,should be %d",new_ref,ref+1);
        }
    }
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_new
 * Params: void
 * Returns: GtkIconFactory*
 * Assertion: Creates a new GtkIconFactory.
 * Params Values: void
 * Expected: GtkIconFactory*  
 */
static void test_purpose_34()
{
    GtkIconFactory *widget;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_get_name
 * Params: GtkIconSize size
 * Returns: G_CONST_RETURN gchar*
 * Assertion: Gets the canonical name of the given icon size. 
 * Params Values: GTK_ICON_SIZE_INVALID
 * Expected: void  
 */
static void test_purpose_35()
{
    #define SIZE GTK_ICON_SIZE_INVALID
    #define REAL_NAME ""
    GtkIconSet* iconset;
    GtkIconSize* size;
    const gchar* name;
    gint w = 1;
    gint h = 1;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    iconset = gtk_icon_set_new();
    
    gtk_icon_size_lookup (SIZE,&w,&h);
    
    name = gtk_icon_size_get_name (SIZE);
    if (SIZE != GTK_ICON_SIZE_INVALID)
    {
        if (strcmp (name,REAL_NAME))
        {
            TEST_FAIL ("Name is %s, should be %s",name,REAL_NAME);
        }
    } else if (name)
    {
        TEST_FAIL ("Name is %s, should be %s",name,REAL_NAME);
    }
    
    
    #undef SIZE
    #undef REAL_NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_get_name
 * Params: GtkIconSize size
 * Returns: G_CONST_RETURN gchar*
 * Assertion: Gets the canonical name of the given icon size. 
 * Params Values: GTK_ICON_SIZE_MENU
 * Expected: void  
 */
static void test_purpose_36()
{
    #define SIZE GTK_ICON_SIZE_MENU
    #define REAL_NAME "gtk-menu"
    GtkIconSet* iconset;
    GtkIconSize* size;
    const gchar* name;
    gint w = 1;
    gint h = 1;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    iconset = gtk_icon_set_new();
    
    gtk_icon_size_lookup (SIZE,&w,&h);
    
    name = gtk_icon_size_get_name (SIZE);
    if (SIZE != GTK_ICON_SIZE_INVALID)
    {
        if (strcmp (name,REAL_NAME))
        {
            TEST_FAIL ("Name is %s, should be %s",name,REAL_NAME);
        }
    } else if (name)
    {
        TEST_FAIL ("Name is %s, should be %s",name,REAL_NAME);
    }
    
    
    #undef SIZE
    #undef REAL_NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_get_name
 * Params: GtkIconSize size
 * Returns: G_CONST_RETURN gchar*
 * Assertion: Gets the canonical name of the given icon size. 
 * Params Values: GTK_ICON_SIZE_SMALL_TOOLBAR 
 * Expected: void  
 */
static void test_purpose_37()
{
    #define SIZE GTK_ICON_SIZE_SMALL_TOOLBAR 
    #define REAL_NAME "gtk-small-toolbar"
    GtkIconSet* iconset;
    GtkIconSize* size;
    const gchar* name;
    gint w = 1;
    gint h = 1;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    iconset = gtk_icon_set_new();
    
    gtk_icon_size_lookup (SIZE,&w,&h);
    
    name = gtk_icon_size_get_name (SIZE);
    if (SIZE != GTK_ICON_SIZE_INVALID)
    {
        if (strcmp (name,REAL_NAME))
        {
            TEST_FAIL ("Name is %s, should be %s",name,REAL_NAME);
        }
    } else if (name)
    {
        TEST_FAIL ("Name is %s, should be %s",name,REAL_NAME);
    }
    
    
    #undef SIZE
    #undef REAL_NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_get_name
 * Params: GtkIconSize size
 * Returns: G_CONST_RETURN gchar*
 * Assertion: Gets the canonical name of the given icon size. 
 * Params Values: GTK_ICON_SIZE_LARGE_TOOLBAR
 * Expected: void  
 */
static void test_purpose_38()
{
    #define SIZE GTK_ICON_SIZE_LARGE_TOOLBAR
    #define REAL_NAME "gtk-large-toolbar"
    GtkIconSet* iconset;
    GtkIconSize* size;
    const gchar* name;
    gint w = 1;
    gint h = 1;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    iconset = gtk_icon_set_new();
    
    gtk_icon_size_lookup (SIZE,&w,&h);
    
    name = gtk_icon_size_get_name (SIZE);
    if (SIZE != GTK_ICON_SIZE_INVALID)
    {
        if (strcmp (name,REAL_NAME))
        {
            TEST_FAIL ("Name is %s, should be %s",name,REAL_NAME);
        }
    } else if (name)
    {
        TEST_FAIL ("Name is %s, should be %s",name,REAL_NAME);
    }
    
    
    #undef SIZE
    #undef REAL_NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_get_name
 * Params: GtkIconSize size
 * Returns: G_CONST_RETURN gchar*
 * Assertion: Gets the canonical name of the given icon size. 
 * Params Values: GTK_ICON_SIZE_BUTTON
 * Expected: void  
 */
static void test_purpose_39()
{
    #define SIZE GTK_ICON_SIZE_BUTTON
    #define REAL_NAME "gtk-button"
    GtkIconSet* iconset;
    GtkIconSize* size;
    const gchar* name;
    gint w = 1;
    gint h = 1;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    iconset = gtk_icon_set_new();
    
    gtk_icon_size_lookup (SIZE,&w,&h);
    
    name = gtk_icon_size_get_name (SIZE);
    if (SIZE != GTK_ICON_SIZE_INVALID)
    {
        if (strcmp (name,REAL_NAME))
        {
            TEST_FAIL ("Name is %s, should be %s",name,REAL_NAME);
        }
    } else if (name)
    {
        TEST_FAIL ("Name is %s, should be %s",name,REAL_NAME);
    }
    
    
    #undef SIZE
    #undef REAL_NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_get_name
 * Params: GtkIconSize size
 * Returns: G_CONST_RETURN gchar*
 * Assertion: Gets the canonical name of the given icon size. 
 * Params Values: GTK_ICON_SIZE_DND
 * Expected: void  
 */
static void test_purpose_40()
{
    #define SIZE GTK_ICON_SIZE_DND
    #define REAL_NAME "gtk-dnd"
    GtkIconSet* iconset;
    GtkIconSize* size;
    const gchar* name;
    gint w = 1;
    gint h = 1;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    iconset = gtk_icon_set_new();
    
    gtk_icon_size_lookup (SIZE,&w,&h);
    
    name = gtk_icon_size_get_name (SIZE);
    if (SIZE != GTK_ICON_SIZE_INVALID)
    {
        if (strcmp (name,REAL_NAME))
        {
            TEST_FAIL ("Name is %s, should be %s",name,REAL_NAME);
        }
    } else if (name)
    {
        TEST_FAIL ("Name is %s, should be %s",name,REAL_NAME);
    }
    
    
    #undef SIZE
    #undef REAL_NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_get_name
 * Params: GtkIconSize size
 * Returns: G_CONST_RETURN gchar*
 * Assertion: Gets the canonical name of the given icon size. 
 * Params Values: GTK_ICON_SIZE_DIALOG
 * Expected: void  
 */
static void test_purpose_41()
{
    #define SIZE GTK_ICON_SIZE_DIALOG
    #define REAL_NAME "gtk-dialog"
    GtkIconSet* iconset;
    GtkIconSize* size;
    const gchar* name;
    gint w = 1;
    gint h = 1;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    iconset = gtk_icon_set_new();
    
    gtk_icon_size_lookup (SIZE,&w,&h);
    
    name = gtk_icon_size_get_name (SIZE);
    if (SIZE != GTK_ICON_SIZE_INVALID)
    {
        if (strcmp (name,REAL_NAME))
        {
            TEST_FAIL ("Name is %s, should be %s",name,REAL_NAME);
        }
    } else if (name)
    {
        TEST_FAIL ("Name is %s, should be %s",name,REAL_NAME);
    }
    
    
    #undef SIZE
    #undef REAL_NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup
 * Params: GtkIconSize size,gint width,gint height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for the default GtkSettings.
 * Params Values: GTK_ICON_SIZE_MENU,gint*,gint*
 * Expected: gboolean  
 */
static void test_purpose_42()
{
    #define SIZE GTK_ICON_SIZE_MENU
    #define WIDTH 16
    #define HEIGHT 16
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    res = gtk_icon_size_lookup (SIZE,&width,&height);
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        /* LSB Bug 2805 - no guarantee width/height will be as expected 
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
        else if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        */
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("Result is FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SIZE
    #undef WIDTH
    #undef HEIGHT
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup
 * Params: GtkIconSize size,gint width,gint height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for the default GtkSettings.
 * Params Values: GTK_ICON_SIZE_SMALL_TOOLBAR ,gint*,gint*
 * Expected: gboolean  
 */
static void test_purpose_43()
{
    #define SIZE GTK_ICON_SIZE_SMALL_TOOLBAR 
    #define WIDTH 18
    #define HEIGHT 18
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    res = gtk_icon_size_lookup (SIZE,&width,&height);
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        /* LSB Bug 2805 - no guarantee width/height will be as expected 
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
        else if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        */
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("Result is FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SIZE
    #undef WIDTH
    #undef HEIGHT
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup
 * Params: GtkIconSize size,gint width,gint height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for the default GtkSettings.
 * Params Values: GTK_ICON_SIZE_LARGE_TOOLBAR,gint*,gint*
 * Expected: gboolean  
 */
static void test_purpose_44()
{
    #define SIZE GTK_ICON_SIZE_LARGE_TOOLBAR
    #define WIDTH 24
    #define HEIGHT 24
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    res = gtk_icon_size_lookup (SIZE,&width,&height);
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        /* LSB Bug 2805 - no guarantee width/height will be as expected 
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
        else if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        */
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("Result is FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SIZE
    #undef WIDTH
    #undef HEIGHT
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup
 * Params: GtkIconSize size,gint width,gint height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for the default GtkSettings.
 * Params Values: GTK_ICON_SIZE_BUTTON,gint*,gint*
 * Expected: gboolean  
 */
static void test_purpose_45()
{
    #define SIZE GTK_ICON_SIZE_BUTTON
    #define WIDTH 20
    #define HEIGHT 20
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    res = gtk_icon_size_lookup (SIZE,&width,&height);
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        /* LSB Bug 2805 - no guarantee width/height will be as expected 
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
        else if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        */
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("Result is FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SIZE
    #undef WIDTH
    #undef HEIGHT
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup
 * Params: GtkIconSize size,gint width,gint height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for the default GtkSettings.
 * Params Values: GTK_ICON_SIZE_DND,gint*,gint*
 * Expected: gboolean  
 */
static void test_purpose_46()
{
    #define SIZE GTK_ICON_SIZE_DND
    #define WIDTH 32
    #define HEIGHT 32
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    res = gtk_icon_size_lookup (SIZE,&width,&height);
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        /* LSB Bug 2805 - no guarantee width/height will be as expected 
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
        else if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        */
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("Result is FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SIZE
    #undef WIDTH
    #undef HEIGHT
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup
 * Params: GtkIconSize size,gint width,gint height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for the default GtkSettings.
 * Params Values: GTK_ICON_SIZE_DIALOG,gint*,gint*
 * Expected: gboolean  
 */
static void test_purpose_47()
{
    #define SIZE GTK_ICON_SIZE_DIALOG
    #define WIDTH 48
    #define HEIGHT 48
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    res = gtk_icon_size_lookup (SIZE,&width,&height);
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        /* LSB Bug 2805 - no guarantee width/height will be as expected 
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
        else if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        */
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("Result is FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SIZE
    #undef WIDTH
    #undef HEIGHT
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup
 * Params: GtkIconSize size,gint width,gint height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for the default GtkSettings.
 * Params Values: GTK_ICON_SIZE_INVALID,gint*,gint*
 * Expected: gboolean  
 */
static void test_purpose_48()
{
    #define SIZE GTK_ICON_SIZE_INVALID
    #define WIDTH 0
    #define HEIGHT 0
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    res = gtk_icon_size_lookup (SIZE,&width,&height);
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        /* LSB Bug 2805 - no guarantee width/height will be as expected 
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
        else if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        */
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("Result is FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SIZE
    #undef WIDTH
    #undef HEIGHT
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-menu=16,16" , GTK_ICON_SIZE_MENU, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_49()
{
    #define SETTINGS "gtk-menu=16,16"
    #define SIZE GTK_ICON_SIZE_MENU
    #define CORRECT_RES TRUE
    #define WIDTH 16
    #define HEIGHT 16
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-menu=1,1" , GTK_ICON_SIZE_MENU, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_50()
{
    #define SETTINGS "gtk-menu=1,1"
    #define SIZE GTK_ICON_SIZE_MENU
    #define CORRECT_RES TRUE
    #define WIDTH 1
    #define HEIGHT 1
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-menu=a,16" , GTK_ICON_SIZE_MENU, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_51()
{
    #define SETTINGS "gtk-menu=a,16"
    #define SIZE GTK_ICON_SIZE_MENU
    #define CORRECT_RES TRUE
    #define WIDTH 16
    #define HEIGHT 16
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-menu=-16,16" , GTK_ICON_SIZE_MENU, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_52()
{
    #define SETTINGS "gtk-menu=-16,16"
    #define SIZE GTK_ICON_SIZE_MENU
    #define CORRECT_RES TRUE
    #define WIDTH 16
    #define HEIGHT 16
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-small-toolbar=18,18" , GTK_ICON_SIZE_SMALL_TOOLBAR , gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_53()
{
    #define SETTINGS "gtk-small-toolbar=18,18"
    #define SIZE GTK_ICON_SIZE_SMALL_TOOLBAR 
    #define CORRECT_RES TRUE
    #define WIDTH 18
    #define HEIGHT 18
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-small-toolbar=8,8" , GTK_ICON_SIZE_SMALL_TOOLBAR , gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_54()
{
    #define SETTINGS "gtk-small-toolbar=8,8"
    #define SIZE GTK_ICON_SIZE_SMALL_TOOLBAR 
    #define CORRECT_RES TRUE
    #define WIDTH 8
    #define HEIGHT 8
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-small-toolbar=q,8" , GTK_ICON_SIZE_SMALL_TOOLBAR , gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_55()
{
    #define SETTINGS "gtk-small-toolbar=q,8"
    #define SIZE GTK_ICON_SIZE_SMALL_TOOLBAR 
    #define CORRECT_RES TRUE
    #define WIDTH 18
    #define HEIGHT 18
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-small-toolbar=-8,8" , GTK_ICON_SIZE_SMALL_TOOLBAR , gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_56()
{
    #define SETTINGS "gtk-small-toolbar=-8,8"
    #define SIZE GTK_ICON_SIZE_SMALL_TOOLBAR 
    #define CORRECT_RES TRUE
    #define WIDTH 18
    #define HEIGHT 18
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-large-toolbar=24,24" , GTK_ICON_SIZE_LARGE_TOOLBAR, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_57()
{
    #define SETTINGS "gtk-large-toolbar=24,24"
    #define SIZE GTK_ICON_SIZE_LARGE_TOOLBAR
    #define CORRECT_RES TRUE
    #define WIDTH 24
    #define HEIGHT 24
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-large-toolbar=4,4" , GTK_ICON_SIZE_LARGE_TOOLBAR, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_58()
{
    #define SETTINGS "gtk-large-toolbar=4,4"
    #define SIZE GTK_ICON_SIZE_LARGE_TOOLBAR
    #define CORRECT_RES TRUE
    #define WIDTH 4
    #define HEIGHT 4
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-large-toolbar=4,erty" , GTK_ICON_SIZE_LARGE_TOOLBAR, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_59()
{
    #define SETTINGS "gtk-large-toolbar=4,erty"
    #define SIZE GTK_ICON_SIZE_LARGE_TOOLBAR
    #define CORRECT_RES TRUE
    #define WIDTH 24
    #define HEIGHT 24
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-large-toolbar=-4,4" , GTK_ICON_SIZE_LARGE_TOOLBAR, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_60()
{
    #define SETTINGS "gtk-large-toolbar=-4,4"
    #define SIZE GTK_ICON_SIZE_LARGE_TOOLBAR
    #define CORRECT_RES TRUE
    #define WIDTH 24
    #define HEIGHT 24
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-button=20,20" , GTK_ICON_SIZE_BUTTON, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_61()
{
    #define SETTINGS "gtk-button=20,20"
    #define SIZE GTK_ICON_SIZE_BUTTON
    #define CORRECT_RES TRUE
    #define WIDTH 20
    #define HEIGHT 20
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-button=2,2" , GTK_ICON_SIZE_BUTTON, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_62()
{
    #define SETTINGS "gtk-button=2,2"
    #define SIZE GTK_ICON_SIZE_BUTTON
    #define CORRECT_RES TRUE
    #define WIDTH 2
    #define HEIGHT 2
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-button=q,q" , GTK_ICON_SIZE_BUTTON, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_63()
{
    #define SETTINGS "gtk-button=q,q"
    #define SIZE GTK_ICON_SIZE_BUTTON
    #define CORRECT_RES TRUE
    #define WIDTH 20
    #define HEIGHT 20
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-button=-20,-20" , GTK_ICON_SIZE_BUTTON, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_64()
{
    #define SETTINGS "gtk-button=-20,-20"
    #define SIZE GTK_ICON_SIZE_BUTTON
    #define CORRECT_RES TRUE
    #define WIDTH 20
    #define HEIGHT 20
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-dnd=32,32" , GTK_ICON_SIZE_DND, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_65()
{
    #define SETTINGS "gtk-dnd=32,32"
    #define SIZE GTK_ICON_SIZE_DND
    #define CORRECT_RES TRUE
    #define WIDTH 32
    #define HEIGHT 32
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-dnd=3,3" , GTK_ICON_SIZE_DND, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_66()
{
    #define SETTINGS "gtk-dnd=3,3"
    #define SIZE GTK_ICON_SIZE_DND
    #define CORRECT_RES TRUE
    #define WIDTH 3
    #define HEIGHT 3
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-dnd=r,3" , GTK_ICON_SIZE_DND, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_67()
{
    #define SETTINGS "gtk-dnd=r,3"
    #define SIZE GTK_ICON_SIZE_DND
    #define CORRECT_RES TRUE
    #define WIDTH 32
    #define HEIGHT 32
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-dnd=-3,3" , GTK_ICON_SIZE_DND, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_68()
{
    #define SETTINGS "gtk-dnd=-3,3"
    #define SIZE GTK_ICON_SIZE_DND
    #define CORRECT_RES TRUE
    #define WIDTH 32
    #define HEIGHT 32
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-dialog=48,48" , GTK_ICON_SIZE_DIALOG, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_69()
{
    #define SETTINGS "gtk-dialog=48,48"
    #define SIZE GTK_ICON_SIZE_DIALOG
    #define CORRECT_RES TRUE
    #define WIDTH 48
    #define HEIGHT 48
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-dialog=8,8" , GTK_ICON_SIZE_DIALOG, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_70()
{
    #define SETTINGS "gtk-dialog=8,8"
    #define SIZE GTK_ICON_SIZE_DIALOG
    #define CORRECT_RES TRUE
    #define WIDTH 8
    #define HEIGHT 8
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-dialog=r,8" , GTK_ICON_SIZE_DIALOG, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_71()
{
    #define SETTINGS "gtk-dialog=r,8"
    #define SIZE GTK_ICON_SIZE_DIALOG
    #define CORRECT_RES TRUE
    #define WIDTH 48
    #define HEIGHT 48
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-dialog=-8,8" , GTK_ICON_SIZE_DIALOG, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_72()
{
    #define SETTINGS "gtk-dialog=-8,8"
    #define SIZE GTK_ICON_SIZE_DIALOG
    #define CORRECT_RES TRUE
    #define WIDTH 48
    #define HEIGHT 48
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-invalid=0,0" , GTK_ICON_SIZE_INVALID, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_73()
{
    #define SETTINGS "gtk-invalid=0,0"
    #define SIZE GTK_ICON_SIZE_INVALID
    #define CORRECT_RES FALSE
    #define WIDTH 0
    #define HEIGHT 0
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-invalid=10,10" , GTK_ICON_SIZE_INVALID, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_74()
{
    #define SETTINGS "gtk-invalid=10,10"
    #define SIZE GTK_ICON_SIZE_INVALID
    #define CORRECT_RES FALSE
    #define WIDTH 10
    #define HEIGHT 10
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-invalid=0,1" , GTK_ICON_SIZE_INVALID, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_75()
{
    #define SETTINGS "gtk-invalid=0,1"
    #define SIZE GTK_ICON_SIZE_INVALID
    #define CORRECT_RES FALSE
    #define WIDTH 0
    #define HEIGHT 0
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-invalid=q,1" , GTK_ICON_SIZE_INVALID, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_76()
{
    #define SETTINGS "gtk-invalid=q,1"
    #define SIZE GTK_ICON_SIZE_INVALID
    #define CORRECT_RES FALSE
    #define WIDTH 0
    #define HEIGHT 0
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_lookup_for_settings
 * Params: GtkSettings *settings,GtkIconSize size,gint *width,gint *height
 * Returns: gboolean
 * Assertion: Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular GtkSettings.
 * Params Values: GtkSettings* with changed icon sizes "gtk-invalid=-1,1" , GTK_ICON_SIZE_INVALID, gint*, gint*
 * Expected: gboolean  
 */
static void test_purpose_77()
{
    #define SETTINGS "gtk-invalid=-1,1"
    #define SIZE GTK_ICON_SIZE_INVALID
    #define CORRECT_RES FALSE
    #define WIDTH 0
    #define HEIGHT 0
    
    GtkIconSize size;
    gchar* name;
    gint width;
    gint height;
    gboolean res;
    GtkSettings* settings;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    settings = gtk_settings_get_default ();
    g_object_set (G_OBJECT (settings), "gtk-icon-sizes", SETTINGS, NULL);
    
    res = gtk_icon_size_lookup_for_settings (settings, SIZE, &width, &height);
    
    if (res!= CORRECT_RES)
    {
        TEST_FAIL ("res = %d, should be %d", res, CORRECT_RES);
    }
    
    if(res)
    {
        if (SIZE == GTK_ICON_SIZE_INVALID)
        {
            TEST_FAIL ("res = TRUE for GTK_ICON_SIZE_INVALID", NULL);
        }
    
        if(width != WIDTH)
        {
            TEST_FAIL ("width is %d,should be %d",width,WIDTH);
        } 
    
        if(height != HEIGHT)
        {
            TEST_FAIL ("height is %d,should be %d",height,HEIGHT);
        }
        
    } 
    else
    {
        if (SIZE != GTK_ICON_SIZE_INVALID)
        {
            if((width == WIDTH) && (height == HEIGHT))
            {
                TEST_FAIL ("res = FALSE, should be TRUE",NULL);
            } 
        }
    }
    
    
    #undef SETTINGS
    #undef SIZE
    #undef CORRECT_RES
    #undef WIDTH
    #undef HEIGHT
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_set_get_sizes
 * Params: GtkIconSet *icon_set,GtkIconSize **sizes,gint *n_sizes
 * Returns: void
 * Assertion: Obtains a list of icon sizes this icon set can render.
 * Params Values: GtkIconSet*,GtkIconSize**,gint*
 * Expected: GtkIconSize   
 */
static void test_purpose_78()
{
    
    GtkIconSet* iconset;
    GtkIconSize* size;
    GtkIconSize d_size;
    GtkIconSize real__size;
    gint n_sizes;
    const gchar* name;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    iconset = gtk_icon_set_new();
    
    d_size = gtk_icon_size_register ("Label",10,10);
    
    //gtk_icon_set_get_sizes (iconset,&size,&n_sizes);
    
    //name = gtk_icon_size_get_name (size);
    
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_set_ref
 * Params: GtkIconSet *icon_set
 * Returns: GtkIconSet*
 * Assertion: Increments the reference count on icon_set.
 * Params Values: GtkIconSet *icon_set
 * Expected: GtkIconSet*  
 */
static void test_purpose_79()
{
    GtkIconSet* iconset;
    GtkIconSize* size;
    GtkIconSize d_size;
    gint n_sizes;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    iconset = gtk_icon_set_new();
    if (!iconset)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    gtk_icon_set_ref (iconset);
    gtk_icon_set_ref (iconset);
    gtk_icon_set_ref (iconset);
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_set_unref
 * Params: GtkIconSet *icon_set
 * Returns: void
 * Assertion: Decrements the reference count on icon_set, and frees memory if the reference count reaches 0.
 * Params Values: GtkIconSet *icon_set
 * Expected: void  
 */
static void test_purpose_80()
{
    #define REF_TIMES 5
    #define UNREF_TIMES 0
    
    GtkIconSet* iconset;
    GtkIconSize* size;
    GtkIconSize d_size;
    gint n_sizes;
    gint i;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    iconset = gtk_icon_set_new();
    if (!iconset)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    for (i = 0; i < REF_TIMES; i++)
    {
        gtk_icon_set_ref (iconset);
    }
    
    for (i = 0; i < UNREF_TIMES; i++)
    {
        gtk_icon_set_unref (iconset);
    }
    
    #undef REF_TIMES
    #undef UNREF_TIMES
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_set_unref
 * Params: GtkIconSet *icon_set
 * Returns: void
 * Assertion: Decrements the reference count on icon_set, and frees memory if the reference count reaches 0.
 * Params Values: GtkIconSet *icon_set
 * Expected: void  
 */
static void test_purpose_81()
{
    #define REF_TIMES 5
    #define UNREF_TIMES 5
    
    GtkIconSet* iconset;
    GtkIconSize* size;
    GtkIconSize d_size;
    gint n_sizes;
    gint i;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    iconset = gtk_icon_set_new();
    if (!iconset)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    for (i = 0; i < REF_TIMES; i++)
    {
        gtk_icon_set_ref (iconset);
    }
    
    for (i = 0; i < UNREF_TIMES; i++)
    {
        gtk_icon_set_unref (iconset);
    }
    
    #undef REF_TIMES
    #undef UNREF_TIMES
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_set_unref
 * Params: GtkIconSet *icon_set
 * Returns: void
 * Assertion: Decrements the reference count on icon_set, and frees memory if the reference count reaches 0.
 * Params Values: GtkIconSet *icon_set
 * Expected: void  
 */
static void test_purpose_82()
{
    #define REF_TIMES 5
    #define UNREF_TIMES 4
    
    GtkIconSet* iconset;
    GtkIconSize* size;
    GtkIconSize d_size;
    gint n_sizes;
    gint i;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    iconset = gtk_icon_set_new();
    if (!iconset)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    for (i = 0; i < REF_TIMES; i++)
    {
        gtk_icon_set_ref (iconset);
    }
    
    for (i = 0; i < UNREF_TIMES; i++)
    {
        gtk_icon_set_unref (iconset);
    }
    
    #undef REF_TIMES
    #undef UNREF_TIMES
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_set_unref
 * Params: GtkIconSet *icon_set
 * Returns: void
 * Assertion: Decrements the reference count on icon_set, and frees memory if the reference count reaches 0.
 * Params Values: GtkIconSet *icon_set
 * Expected: void  
 */
static void test_purpose_83()
{
    #define REF_TIMES 5
    #define UNREF_TIMES 2
    
    GtkIconSet* iconset;
    GtkIconSize* size;
    GtkIconSize d_size;
    gint n_sizes;
    gint i;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    iconset = gtk_icon_set_new();
    if (!iconset)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    for (i = 0; i < REF_TIMES; i++)
    {
        gtk_icon_set_ref (iconset);
    }
    
    for (i = 0; i < UNREF_TIMES; i++)
    {
        gtk_icon_set_unref (iconset);
    }
    
    #undef REF_TIMES
    #undef UNREF_TIMES
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_set_copy
 * Params: GtkIconSet *icon_set
 * Returns: void
 * Assertion: Copies icon_set by value.
 * Params Values: GtkIconSet *icon_set
 * Expected: void  
 */
static void test_purpose_84()
{
    GtkIconSet* iconset;
    GtkIconSet* s_iconset;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    iconset = gtk_icon_set_new();
    if (!iconset)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    s_iconset = gtk_icon_set_copy (iconset);
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_add 
 * Params: GtkIconFactory *factory,const gchar *stock_id,GtkIconSet *icon_set
 * Returns: void
 * Assertion: Adds the given icon_set to the icon factory, under the name stock_id.
 * Params Values: GtkIconFactory*,gchar*,GtkIconSet*
 * Expected: void  
 */
static void test_purpose_85()
{
    #define NAME ""
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add (widget,NAME,iconset);
    
    icon = gtk_icon_factory_lookup (widget,NAME);
    if(!icon)
    {
        TEST_FAIL ("Iconset is not added",NULL);
    } 
    
    
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_add 
 * Params: GtkIconFactory *factory,const gchar *stock_id,GtkIconSet *icon_set
 * Returns: void
 * Assertion: Adds the given icon_set to the icon factory, under the name stock_id.
 * Params Values: GtkIconFactory*,gchar*,GtkIconSet*
 * Expected: void  
 */
static void test_purpose_86()
{
    #define NAME " "
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add (widget,NAME,iconset);
    
    icon = gtk_icon_factory_lookup (widget,NAME);
    if(!icon)
    {
        TEST_FAIL ("Iconset is not added",NULL);
    } 
    
    
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_add 
 * Params: GtkIconFactory *factory,const gchar *stock_id,GtkIconSet *icon_set
 * Returns: void
 * Assertion: Adds the given icon_set to the icon factory, under the name stock_id.
 * Params Values: GtkIconFactory*,gchar*,GtkIconSet*
 * Expected: void  
 */
static void test_purpose_87()
{
    #define NAME "   "
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add (widget,NAME,iconset);
    
    icon = gtk_icon_factory_lookup (widget,NAME);
    if(!icon)
    {
        TEST_FAIL ("Iconset is not added",NULL);
    } 
    
    
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_add 
 * Params: GtkIconFactory *factory,const gchar *stock_id,GtkIconSet *icon_set
 * Returns: void
 * Assertion: Adds the given icon_set to the icon factory, under the name stock_id.
 * Params Values: GtkIconFactory*,gchar*,GtkIconSet*
 * Expected: void  
 */
static void test_purpose_88()
{
    #define NAME "Label String"
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add (widget,NAME,iconset);
    
    icon = gtk_icon_factory_lookup (widget,NAME);
    if(!icon)
    {
        TEST_FAIL ("Iconset is not added",NULL);
    } 
    
    
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_add 
 * Params: GtkIconFactory *factory,const gchar *stock_id,GtkIconSet *icon_set
 * Returns: void
 * Assertion: Adds the given icon_set to the icon factory, under the name stock_id.
 * Params Values: GtkIconFactory*,gchar*,GtkIconSet*
 * Expected: void  
 */
static void test_purpose_89()
{
    #define NAME "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890"
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add (widget,NAME,iconset);
    
    icon = gtk_icon_factory_lookup (widget,NAME);
    if(!icon)
    {
        TEST_FAIL ("Iconset is not added",NULL);
    } 
    
    
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_add 
 * Params: GtkIconFactory *factory,const gchar *stock_id,GtkIconSet *icon_set
 * Returns: void
 * Assertion: Adds the given icon_set to the icon factory, under the name stock_id.
 * Params Values: GtkIconFactory*,gchar*,GtkIconSet*
 * Expected: void  
 */
static void test_purpose_90()
{
    #define NAME "!@#$%^&*()_+|~=\";:'?<>`/"
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add (widget,NAME,iconset);
    
    icon = gtk_icon_factory_lookup (widget,NAME);
    if(!icon)
    {
        TEST_FAIL ("Iconset is not added",NULL);
    } 
    
    
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_add 
 * Params: GtkIconFactory *factory,const gchar *stock_id,GtkIconSet *icon_set
 * Returns: void
 * Assertion: Adds the given icon_set to the icon factory, under the name stock_id.
 * Params Values: GtkIconFactory*,gchar*,GtkIconSet*
 * Expected: void  
 */
static void test_purpose_91()
{
    #define NAME "_a_b"
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add (widget,NAME,iconset);
    
    icon = gtk_icon_factory_lookup (widget,NAME);
    if(!icon)
    {
        TEST_FAIL ("Iconset is not added",NULL);
    } 
    
    
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_add 
 * Params: GtkIconFactory *factory,const gchar *stock_id,GtkIconSet *icon_set
 * Returns: void
 * Assertion: If an icon already existed in factory for stock_id, it is unreferenced and replaced with the new icon_set.
 * Params Values: GtkIconFactory*,gchar*,GtkIconSet*
 * Expected: void  
 */
static void test_purpose_92()
{
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    GtkIconSet* iconset_d;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    gtk_icon_factory_add (widget,"Name",iconset);
    icon = gtk_icon_factory_lookup (widget,"Name");
    if(!icon)
    {
        TEST_FAIL ("Iconset is not added",NULL);
    } 
    
    
    iconset_d = gtk_icon_set_new();
    gtk_icon_factory_add (widget,"Name",iconset_d);
    icon = gtk_icon_factory_lookup (widget,"Name");
    if(icon != iconset_d)
    {
        TEST_FAIL ("Iconset is not changed",NULL);
    } 
    
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup
 * Params: GtkIconFactory *factory,const gchar *stock_id
 * Returns: GtkIconSet*
 * Assertion: Looks up stock_id in the icon factory, returning an icon set if found, otherwise NULL.
 * Params Values: GtkIconFactory*,gchar*,""
 * Expected: GtkIconSet*  
 */
static void test_purpose_93()
{
    #define NAME ""
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add (widget,NAME,iconset);
    
    icon = gtk_icon_factory_lookup (widget,NAME);
    if(!icon)
    {
        TEST_FAIL ("Iconset is not found",NULL);
    } 
    
    icon = gtk_icon_factory_lookup (widget,"LABEL");
    if(icon)
    {
        TEST_FAIL ("Iconset is found, it is wrong",NULL);
    } 
    
    
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup
 * Params: GtkIconFactory *factory,const gchar *stock_id
 * Returns: GtkIconSet*
 * Assertion: Looks up stock_id in the icon factory, returning an icon set if found, otherwise NULL.
 * Params Values: GtkIconFactory*,gchar*," "
 * Expected: GtkIconSet*  
 */
static void test_purpose_94()
{
    #define NAME " "
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add (widget,NAME,iconset);
    
    icon = gtk_icon_factory_lookup (widget,NAME);
    if(!icon)
    {
        TEST_FAIL ("Iconset is not found",NULL);
    } 
    
    icon = gtk_icon_factory_lookup (widget,"LABEL");
    if(icon)
    {
        TEST_FAIL ("Iconset is found, it is wrong",NULL);
    } 
    
    
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup
 * Params: GtkIconFactory *factory,const gchar *stock_id
 * Returns: GtkIconSet*
 * Assertion: Looks up stock_id in the icon factory, returning an icon set if found, otherwise NULL.
 * Params Values: GtkIconFactory*,gchar*,"   "
 * Expected: GtkIconSet*  
 */
static void test_purpose_95()
{
    #define NAME "   "
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add (widget,NAME,iconset);
    
    icon = gtk_icon_factory_lookup (widget,NAME);
    if(!icon)
    {
        TEST_FAIL ("Iconset is not found",NULL);
    } 
    
    icon = gtk_icon_factory_lookup (widget,"LABEL");
    if(icon)
    {
        TEST_FAIL ("Iconset is found, it is wrong",NULL);
    } 
    
    
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup
 * Params: GtkIconFactory *factory,const gchar *stock_id
 * Returns: GtkIconSet*
 * Assertion: Looks up stock_id in the icon factory, returning an icon set if found, otherwise NULL.
 * Params Values: GtkIconFactory*,gchar*,"Label String"
 * Expected: GtkIconSet*  
 */
static void test_purpose_96()
{
    #define NAME "Label String"
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add (widget,NAME,iconset);
    
    icon = gtk_icon_factory_lookup (widget,NAME);
    if(!icon)
    {
        TEST_FAIL ("Iconset is not found",NULL);
    } 
    
    icon = gtk_icon_factory_lookup (widget,"LABEL");
    if(icon)
    {
        TEST_FAIL ("Iconset is found, it is wrong",NULL);
    } 
    
    
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup
 * Params: GtkIconFactory *factory,const gchar *stock_id
 * Returns: GtkIconSet*
 * Assertion: Looks up stock_id in the icon factory, returning an icon set if found, otherwise NULL.
 * Params Values: GtkIconFactory*,gchar*,"abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890"
 * Expected: GtkIconSet*  
 */
static void test_purpose_97()
{
    #define NAME "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890"
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add (widget,NAME,iconset);
    
    icon = gtk_icon_factory_lookup (widget,NAME);
    if(!icon)
    {
        TEST_FAIL ("Iconset is not found",NULL);
    } 
    
    icon = gtk_icon_factory_lookup (widget,"LABEL");
    if(icon)
    {
        TEST_FAIL ("Iconset is found, it is wrong",NULL);
    } 
    
    
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup
 * Params: GtkIconFactory *factory,const gchar *stock_id
 * Returns: GtkIconSet*
 * Assertion: Looks up stock_id in the icon factory, returning an icon set if found, otherwise NULL.
 * Params Values: GtkIconFactory*,gchar*,"!@#$%^&*()_+|~=\";:'?<>`/"
 * Expected: GtkIconSet*  
 */
static void test_purpose_98()
{
    #define NAME "!@#$%^&*()_+|~=\";:'?<>`/"
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add (widget,NAME,iconset);
    
    icon = gtk_icon_factory_lookup (widget,NAME);
    if(!icon)
    {
        TEST_FAIL ("Iconset is not found",NULL);
    } 
    
    icon = gtk_icon_factory_lookup (widget,"LABEL");
    if(icon)
    {
        TEST_FAIL ("Iconset is found, it is wrong",NULL);
    } 
    
    
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup
 * Params: GtkIconFactory *factory,const gchar *stock_id
 * Returns: GtkIconSet*
 * Assertion: Looks up stock_id in the icon factory, returning an icon set if found, otherwise NULL.
 * Params Values: GtkIconFactory*,gchar*,"_a_b"
 * Expected: GtkIconSet*  
 */
static void test_purpose_99()
{
    #define NAME "_a_b"
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add (widget,NAME,iconset);
    
    icon = gtk_icon_factory_lookup (widget,NAME);
    if(!icon)
    {
        TEST_FAIL ("Iconset is not found",NULL);
    } 
    
    icon = gtk_icon_factory_lookup (widget,"LABEL");
    if(icon)
    {
        TEST_FAIL ("Iconset is found, it is wrong",NULL);
    } 
    
    
    #undef NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_add_default 
 * Params: GtkIconFactory *factory
 * Returns: void
 * Assertion: Adds an icon factory to the list of icon factories searched by gtk_style_lookup_icon_set().
 * Params Values: GtkIconFactory*
 * Expected: void  
 */
static void test_purpose_100()
{
    /*  #define STOCK <%0%> */
    GtkIconFactory* factory;
    GtkIconSet* icon_set;
    GtkIconSet* real_icon_set;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    factory = gtk_icon_factory_new ();
    if (!factory)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (factory))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    icon_set = gtk_icon_set_new ();
    gtk_icon_factory_add (factory, "ID_49", icon_set);
    
    gtk_icon_factory_add_default (factory);
    
    real_icon_set = gtk_icon_factory_lookup_default ("ID_49");
    if (!real_icon_set)
    {
        TEST_FAIL ("Stock 'ID_49' is not found", NULL);
    }
    
    real_icon_set = gtk_icon_factory_lookup_default ("ID_449");
    if (real_icon_set)
    {
        TEST_FAIL ("Non-existing stock 'ID_449' is found", NULL);
    }
    
    /*  #undef STOCK */
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_101()
{
    #define STOCK GTK_STOCK_ADD
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_102()
{
    #define STOCK GTK_STOCK_APPLY
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_103()
{
    #define STOCK GTK_STOCK_BOLD
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_104()
{
    #define STOCK GTK_STOCK_CANCEL
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_105()
{
    #define STOCK GTK_STOCK_CDROM
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_106()
{
    #define STOCK GTK_STOCK_CLEAR
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_107()
{
    #define STOCK GTK_STOCK_CLOSE
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_108()
{
    #define STOCK GTK_STOCK_CONVERT 
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_109()
{
    #define STOCK GTK_STOCK_COPY
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_110()
{
    #define STOCK GTK_STOCK_CUT
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_111()
{
    #define STOCK GTK_STOCK_DELETE
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_112()
{
    #define STOCK GTK_STOCK_DIALOG_ERROR
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_113()
{
    #define STOCK GTK_STOCK_DIALOG_INFO
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_114()
{
    #define STOCK GTK_STOCK_DIALOG_QUESTION
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_115()
{
    #define STOCK GTK_STOCK_DIALOG_WARNING
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_116()
{
    #define STOCK GTK_STOCK_DND
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_117()
{
    #define STOCK GTK_STOCK_DND_MULTIPLE
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_118()
{
    #define STOCK GTK_STOCK_EXECUTE
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_119()
{
    #define STOCK GTK_STOCK_FIND
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_120()
{
    #define STOCK GTK_STOCK_FIND_AND_REPLACE
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_121()
{
    #define STOCK GTK_STOCK_FLOPPY
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_122()
{
    #define STOCK GTK_STOCK_GOTO_BOTTOM
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_123()
{
    #define STOCK GTK_STOCK_GOTO_FIRST
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_124()
{
    #define STOCK GTK_STOCK_GOTO_LAST
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_125()
{
    #define STOCK GTK_STOCK_GOTO_TOP
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_126()
{
    #define STOCK GTK_STOCK_GO_BACK
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_127()
{
    #define STOCK GTK_STOCK_GO_DOWN
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_128()
{
    #define STOCK GTK_STOCK_GO_FORWARD
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_129()
{
    #define STOCK GTK_STOCK_GO_UP
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_130()
{
    #define STOCK GTK_STOCK_HELP
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_131()
{
    #define STOCK GTK_STOCK_HOME
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_132()
{
    #define STOCK GTK_STOCK_INDEX
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_133()
{
    #define STOCK GTK_STOCK_ITALIC
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_134()
{
    #define STOCK GTK_STOCK_JUMP_TO
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_135()
{
    #define STOCK GTK_STOCK_JUSTIFY_CENTER
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_136()
{
    #define STOCK GTK_STOCK_JUSTIFY_FILL
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_137()
{
    #define STOCK GTK_STOCK_JUSTIFY_LEFT
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_138()
{
    #define STOCK GTK_STOCK_JUSTIFY_RIGHT
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_139()
{
    #define STOCK GTK_STOCK_MISSING_IMAGE
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_140()
{
    #define STOCK GTK_STOCK_NEW
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_141()
{
    #define STOCK GTK_STOCK_NO
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_142()
{
    #define STOCK GTK_STOCK_OK
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_143()
{
    #define STOCK GTK_STOCK_OPEN
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_144()
{
    #define STOCK GTK_STOCK_PASTE
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_145()
{
    #define STOCK GTK_STOCK_PREFERENCES
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_146()
{
    #define STOCK GTK_STOCK_PRINT
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_147()
{
    #define STOCK GTK_STOCK_PRINT_PREVIEW
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_148()
{
    #define STOCK GTK_STOCK_PROPERTIES
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_149()
{
    #define STOCK GTK_STOCK_QUIT
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_150()
{
    #define STOCK GTK_STOCK_REDO
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_151()
{
    #define STOCK GTK_STOCK_REFRESH
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_152()
{
    #define STOCK GTK_STOCK_REMOVE
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_153()
{
    #define STOCK GTK_STOCK_REVERT_TO_SAVED
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_154()
{
    #define STOCK GTK_STOCK_SAVE
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_155()
{
    #define STOCK GTK_STOCK_SAVE_AS
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_156()
{
    #define STOCK GTK_STOCK_SELECT_COLOR
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_157()
{
    #define STOCK GTK_STOCK_SELECT_FONT
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_158()
{
    #define STOCK GTK_STOCK_SORT_ASCENDING
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_159()
{
    #define STOCK GTK_STOCK_SORT_DESCENDING
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_160()
{
    #define STOCK GTK_STOCK_SPELL_CHECK
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_161()
{
    #define STOCK GTK_STOCK_STOP
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_162()
{
    #define STOCK GTK_STOCK_STRIKETHROUGH
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_163()
{
    #define STOCK GTK_STOCK_UNDELETE
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_164()
{
    #define STOCK GTK_STOCK_UNDERLINE
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_165()
{
    #define STOCK GTK_STOCK_UNDO
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_166()
{
    #define STOCK GTK_STOCK_YES
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_167()
{
    #define STOCK GTK_STOCK_ZOOM_100
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_168()
{
    #define STOCK GTK_STOCK_ZOOM_FIT
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_169()
{
    #define STOCK GTK_STOCK_ZOOM_IN
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_170()
{
    #define STOCK GTK_STOCK_ZOOM_OUT
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_lookup_default
 * Params: GtkIconFactory *factory
 * Returns: GtkIconSet*
 * Assertion: Looks for an icon in the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: GtkIconSet*  
 */
static void test_purpose_171()
{
    #define STOCK "WRONG STOCK"
    GtkIconFactory* widget;
    GtkIconSet* icon;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_factory_new ();
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (widget))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    iconset = gtk_icon_set_new();
    
    gtk_icon_factory_add_default (widget);
    
    icon = gtk_icon_factory_lookup_default (STOCK);
    if(!icon && strcmp(STOCK,"WRONG STOCK"))
    {
        TEST_FAIL ("Icon '%s' is not found",STOCK);
    }
    
    
    #undef STOCK
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_from_name 
 * Params: const gchar *name
 * Returns: GtkIconSize
 * Assertion: Looks up the icon size associated with name.
 * Params Values: "gtk-icon-new1"
 * Expected: GtkIconSize  
 */
static void test_purpose_172()
{
    #define NAME "gtk-icon-new1"
    
    GtkIconSize size;
    GtkIconSize real_size;
    const gchar* name;
    gint width;
    gint height;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (NAME,10,10);
    
    if (!gtk_icon_size_lookup (size,&width,&height))
    {
        TEST_FAIL ("A new icon size is not added",NULL)
    }
    
    real_size = gtk_icon_size_from_name (NAME);
    if (size != real_size)
    {
        TEST_FAIL ("Iconsize is not looked up.",NULL);
    }
    
    
    #undef NAME
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_from_name 
 * Params: const gchar *name
 * Returns: GtkIconSize
 * Assertion: Looks up the icon size associated with name.
 * Params Values: "Label String1"
 * Expected: GtkIconSize  
 */
static void test_purpose_173()
{
    #define NAME "Label String1"
    
    GtkIconSize size;
    GtkIconSize real_size;
    const gchar* name;
    gint width;
    gint height;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (NAME,10,10);
    
    if (!gtk_icon_size_lookup (size,&width,&height))
    {
        TEST_FAIL ("A new icon size is not added",NULL)
    }
    
    real_size = gtk_icon_size_from_name (NAME);
    if (size != real_size)
    {
        TEST_FAIL ("Iconsize is not looked up.",NULL);
    }
    
    
    #undef NAME
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_from_name 
 * Params: const gchar *name
 * Returns: GtkIconSize
 * Assertion: Looks up the icon size associated with name.
 * Params Values: "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ12345678901"
 * Expected: GtkIconSize  
 */
static void test_purpose_174()
{
    #define NAME "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ12345678901"
    
    GtkIconSize size;
    GtkIconSize real_size;
    const gchar* name;
    gint width;
    gint height;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (NAME,10,10);
    
    if (!gtk_icon_size_lookup (size,&width,&height))
    {
        TEST_FAIL ("A new icon size is not added",NULL)
    }
    
    real_size = gtk_icon_size_from_name (NAME);
    if (size != real_size)
    {
        TEST_FAIL ("Iconsize is not looked up.",NULL);
    }
    
    
    #undef NAME
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_from_name 
 * Params: const gchar *name
 * Returns: GtkIconSize
 * Assertion: Looks up the icon size associated with name.
 * Params Values: "!@#$%^&*()_+|~=\";:'?<>`/1"
 * Expected: GtkIconSize  
 */
static void test_purpose_175()
{
    #define NAME "!@#$%^&*()_+|~=\";:'?<>`/1"
    
    GtkIconSize size;
    GtkIconSize real_size;
    const gchar* name;
    gint width;
    gint height;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (NAME,10,10);
    
    if (!gtk_icon_size_lookup (size,&width,&height))
    {
        TEST_FAIL ("A new icon size is not added",NULL)
    }
    
    real_size = gtk_icon_size_from_name (NAME);
    if (size != real_size)
    {
        TEST_FAIL ("Iconsize is not looked up.",NULL);
    }
    
    
    #undef NAME
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_set_add_source 
 * Params: GtkIconSet *icon_set,const GtkIconSource *source
 * Returns: void
 * Assertion: This function copies source, so you can reuse the same source immediately without affecting the icon set.
 * Params Values: GtkIconSet*,const GtkIconSource*
 * Expected: void  
 */
static void test_purpose_176()
{
    GtkIconSource *source;
    GtkIconSet* iconset;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    iconset = gtk_icon_set_new ();
    
    source = gtk_icon_source_new ();
    gtk_icon_source_set_filename (source,"/gnome-logo-icon.png");
    
    gtk_icon_set_add_source (iconset,source);
    
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_set_new 
 * Params: void
 * Returns: GtkIconSet*
 * Assertion: Creates a new GtkIconSet.
 * Params Values: void
 * Expected: GtkIconSet*  
 */
static void test_purpose_177()
{
    GtkIconSet *widget;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    widget = gtk_icon_set_new ();
    
    if (!widget)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_set_new_from_pixbuf 
 * Params: GdkPixbuf *pixbuf
 * Returns: GtkIconSet*
 * Assertion: Creates a new GtkIconSet with pixbuf as the default/fallback source image.
 * Params Values: GdkPixbuf*
 * Expected: GtkIconSet*  
 */
static void test_purpose_178()
{
    #define IMAGE_FILE_NAME strcat (getenv ("TET_ROOT"), "/gtkvts/src/gtk-logo-rgb.gif")
    
    GtkIconSet *widget;
    GtkWidget *image;
    GdkPixbuf *pixbuf;
    const gchar *filename = IMAGE_FILE_NAME;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    if (filename)
    {
        image = gtk_image_new_from_file (filename);
        pixbuf = gtk_image_get_pixbuf (GTK_IMAGE (image));
    } else {
        pixbuf = NULL;
    }
    
    if (pixbuf)
    {
        widget = gtk_icon_set_new_from_pixbuf (pixbuf);
        
        if (!widget)
        {
            TEST_FAIL (get_not_created_msg(), NULL); 
            return;
        }
    }
    
    
    #undef IMAGE_FILE_NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_set_new_from_pixbuf 
 * Params: GdkPixbuf *pixbuf
 * Returns: GtkIconSet*
 * Assertion: Creates a new GtkIconSet with pixbuf as the default/fallback source image.
 * Params Values: GdkPixbuf*
 * Expected: GtkIconSet*  
 */
static void test_purpose_179()
{
    #define IMAGE_FILE_NAME NULL
    
    GtkIconSet *widget;
    GtkWidget *image;
    GdkPixbuf *pixbuf;
    const gchar *filename = IMAGE_FILE_NAME;
    
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    if (filename)
    {
        image = gtk_image_new_from_file (filename);
        pixbuf = gtk_image_get_pixbuf (GTK_IMAGE (image));
    } else {
        pixbuf = NULL;
    }
    
    if (pixbuf)
    {
        widget = gtk_icon_set_new_from_pixbuf (pixbuf);
        
        if (!widget)
        {
            TEST_FAIL (get_not_created_msg(), NULL); 
            return;
        }
    }
    
    
    #undef IMAGE_FILE_NAME
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Registers a new icon size, along the same lines as GTK_ICON_SIZE_MENU, etc. 
 * Params Values: "gtk-icon-new",gint*,gint*
 * Expected: GtkIconSize
 * 
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Returns the integer value for the size.
 * Params Values: "gtk-icon-new",gint*,gint*
 * Expected: GtkIconSize  
 */
static void test_purpose_180()
{
    #define NAME "gtk-icon-new"
    
    GtkIconSize size;
    const gchar* name;
    gint width;
    gint height;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (NAME,10,10);
    
    if (!gtk_icon_size_lookup (size,&width,&height))
    {
        TEST_FAIL ("A new icon size is not added",NULL)
    }
    
    name = gtk_icon_size_get_name (size);
    if (strcmp (name,NAME))
    {
        TEST_FAIL ("Name is %s, should be %s",name,NAME);
    }
    
    
    #undef NAME
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Registers a new icon size, along the same lines as GTK_ICON_SIZE_MENU, etc. 
 * Params Values: "",gint*,gint*
 * Expected: GtkIconSize
 * 
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Returns the integer value for the size.
 * Params Values: "",gint*,gint*
 * Expected: GtkIconSize  
 */
static void test_purpose_181()
{
    #define NAME ""
    
    GtkIconSize size;
    const gchar* name;
    gint width;
    gint height;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (NAME,10,10);
    
    if (!gtk_icon_size_lookup (size,&width,&height))
    {
        TEST_FAIL ("A new icon size is not added",NULL)
    }
    
    name = gtk_icon_size_get_name (size);
    if (strcmp (name,NAME))
    {
        TEST_FAIL ("Name is %s, should be %s",name,NAME);
    }
    
    
    #undef NAME
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Registers a new icon size, along the same lines as GTK_ICON_SIZE_MENU, etc. 
 * Params Values: " ",gint*,gint*
 * Expected: GtkIconSize
 * 
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Returns the integer value for the size.
 * Params Values: " ",gint*,gint*
 * Expected: GtkIconSize  
 */
static void test_purpose_182()
{
    #define NAME " "
    
    GtkIconSize size;
    const gchar* name;
    gint width;
    gint height;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (NAME,10,10);
    
    if (!gtk_icon_size_lookup (size,&width,&height))
    {
        TEST_FAIL ("A new icon size is not added",NULL)
    }
    
    name = gtk_icon_size_get_name (size);
    if (strcmp (name,NAME))
    {
        TEST_FAIL ("Name is %s, should be %s",name,NAME);
    }
    
    
    #undef NAME
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Registers a new icon size, along the same lines as GTK_ICON_SIZE_MENU, etc. 
 * Params Values: "   ",gint*,gint*
 * Expected: GtkIconSize
 * 
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Returns the integer value for the size.
 * Params Values: "   ",gint*,gint*
 * Expected: GtkIconSize  
 */
static void test_purpose_183()
{
    #define NAME "   "
    
    GtkIconSize size;
    const gchar* name;
    gint width;
    gint height;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (NAME,10,10);
    
    if (!gtk_icon_size_lookup (size,&width,&height))
    {
        TEST_FAIL ("A new icon size is not added",NULL)
    }
    
    name = gtk_icon_size_get_name (size);
    if (strcmp (name,NAME))
    {
        TEST_FAIL ("Name is %s, should be %s",name,NAME);
    }
    
    
    #undef NAME
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Registers a new icon size, along the same lines as GTK_ICON_SIZE_MENU, etc. 
 * Params Values: "Label String",gint*,gint*
 * Expected: GtkIconSize
 * 
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Returns the integer value for the size.
 * Params Values: "Label String",gint*,gint*
 * Expected: GtkIconSize  
 */
static void test_purpose_184()
{
    #define NAME "Label String"
    
    GtkIconSize size;
    const gchar* name;
    gint width;
    gint height;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (NAME,10,10);
    
    if (!gtk_icon_size_lookup (size,&width,&height))
    {
        TEST_FAIL ("A new icon size is not added",NULL)
    }
    
    name = gtk_icon_size_get_name (size);
    if (strcmp (name,NAME))
    {
        TEST_FAIL ("Name is %s, should be %s",name,NAME);
    }
    
    
    #undef NAME
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Registers a new icon size, along the same lines as GTK_ICON_SIZE_MENU, etc. 
 * Params Values: "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890",gint*,gint*
 * Expected: GtkIconSize
 * 
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Returns the integer value for the size.
 * Params Values: "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890",gint*,gint*
 * Expected: GtkIconSize  
 */
static void test_purpose_185()
{
    #define NAME "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890"
    
    GtkIconSize size;
    const gchar* name;
    gint width;
    gint height;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (NAME,10,10);
    
    if (!gtk_icon_size_lookup (size,&width,&height))
    {
        TEST_FAIL ("A new icon size is not added",NULL)
    }
    
    name = gtk_icon_size_get_name (size);
    if (strcmp (name,NAME))
    {
        TEST_FAIL ("Name is %s, should be %s",name,NAME);
    }
    
    
    #undef NAME
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Registers a new icon size, along the same lines as GTK_ICON_SIZE_MENU, etc. 
 * Params Values: "!@#$%^&*()_+|~=\";:'?<>`/",gint*,gint*
 * Expected: GtkIconSize
 * 
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Returns the integer value for the size.
 * Params Values: "!@#$%^&*()_+|~=\";:'?<>`/",gint*,gint*
 * Expected: GtkIconSize  
 */
static void test_purpose_186()
{
    #define NAME "!@#$%^&*()_+|~=\";:'?<>`/"
    
    GtkIconSize size;
    const gchar* name;
    gint width;
    gint height;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (NAME,10,10);
    
    if (!gtk_icon_size_lookup (size,&width,&height))
    {
        TEST_FAIL ("A new icon size is not added",NULL)
    }
    
    name = gtk_icon_size_get_name (size);
    if (strcmp (name,NAME))
    {
        TEST_FAIL ("Name is %s, should be %s",name,NAME);
    }
    
    
    #undef NAME
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Registers a new icon size, along the same lines as GTK_ICON_SIZE_MENU, etc. 
 * Params Values: "_a_b",gint*,gint*
 * Expected: GtkIconSize
 * 
 * Name: gtk_icon_size_register 
 * Params: const gchar *name,gint width,gint height
 * Returns: GtkIconSize
 * Assertion: Returns the integer value for the size.
 * Params Values: "_a_b",gint*,gint*
 * Expected: GtkIconSize  
 */
static void test_purpose_187()
{
    #define NAME "_a_b"
    
    GtkIconSize size;
    const gchar* name;
    gint width;
    gint height;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (NAME,10,10);
    
    if (!gtk_icon_size_lookup (size,&width,&height))
    {
        TEST_FAIL ("A new icon size is not added",NULL)
    }
    
    name = gtk_icon_size_get_name (size);
    if (strcmp (name,NAME))
    {
        TEST_FAIL ("Name is %s, should be %s",name,NAME);
    }
    
    
    #undef NAME
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_register_alias
 * Params: const gchar *alias,GtkIconSize target
 * Returns: void
 * Assertion: Registers alias as another name for target.
 * Params Values: "name_1",GtkIconSize
 * Expected: void
 * 
 * Name: gtk_icon_size_register_alias
 * Params: const gchar *alias,GtkIconSize target
 * Returns: void
 * Assertion: So calling gtk_icon_size_from_name() with alias as argument will return target.
 * Params Values: "name_1",GtkIconSize
 * Expected: void
 *   
 */
static void test_purpose_188()
{
    #define SIZE "  "
    #define NAME "name_1"
    
    GtkIconSize size;
    GtkIconSize real_size;
    const gchar* name = "pre_set";
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (SIZE,20,20);
    
    gtk_icon_size_register_alias (NAME,size);
    
    real_size = gtk_icon_size_from_name (NAME);
    if (size != real_size)
    {
        TEST_FAIL ("Name is %s, should be %s",name,NAME);
    }
    
    
    #undef NAME
    #undef SIZE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_register_alias
 * Params: const gchar *alias,GtkIconSize target
 * Returns: void
 * Assertion: Registers alias as another name for target.
 * Params Values: "name_2",GtkIconSize
 * Expected: void
 * 
 * Name: gtk_icon_size_register_alias
 * Params: const gchar *alias,GtkIconSize target
 * Returns: void
 * Assertion: So calling gtk_icon_size_from_name() with alias as argument will return target.
 * Params Values: "name_2",GtkIconSize
 * Expected: void
 *   
 */
static void test_purpose_189()
{
    #define SIZE "    "
    #define NAME "name_2"
    
    GtkIconSize size;
    GtkIconSize real_size;
    const gchar* name = "pre_set";
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (SIZE,20,20);
    
    gtk_icon_size_register_alias (NAME,size);
    
    real_size = gtk_icon_size_from_name (NAME);
    if (size != real_size)
    {
        TEST_FAIL ("Name is %s, should be %s",name,NAME);
    }
    
    
    #undef NAME
    #undef SIZE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_register_alias
 * Params: const gchar *alias,GtkIconSize target
 * Returns: void
 * Assertion: Registers alias as another name for target.
 * Params Values: "name_3",GtkIconSize
 * Expected: void
 * 
 * Name: gtk_icon_size_register_alias
 * Params: const gchar *alias,GtkIconSize target
 * Returns: void
 * Assertion: So calling gtk_icon_size_from_name() with alias as argument will return target.
 * Params Values: "name_3",GtkIconSize
 * Expected: void
 *   
 */
static void test_purpose_190()
{
    #define SIZE "Label String "
    #define NAME "name_3"
    
    GtkIconSize size;
    GtkIconSize real_size;
    const gchar* name = "pre_set";
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (SIZE,20,20);
    
    gtk_icon_size_register_alias (NAME,size);
    
    real_size = gtk_icon_size_from_name (NAME);
    if (size != real_size)
    {
        TEST_FAIL ("Name is %s, should be %s",name,NAME);
    }
    
    
    #undef NAME
    #undef SIZE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_register_alias
 * Params: const gchar *alias,GtkIconSize target
 * Returns: void
 * Assertion: Registers alias as another name for target.
 * Params Values: "name_4",GtkIconSize
 * Expected: void
 * 
 * Name: gtk_icon_size_register_alias
 * Params: const gchar *alias,GtkIconSize target
 * Returns: void
 * Assertion: So calling gtk_icon_size_from_name() with alias as argument will return target.
 * Params Values: "name_4",GtkIconSize
 * Expected: void
 *   
 */
static void test_purpose_191()
{
    #define SIZE "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890 " 
    #define NAME "name_4"
    
    GtkIconSize size;
    GtkIconSize real_size;
    const gchar* name = "pre_set";
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (SIZE,20,20);
    
    gtk_icon_size_register_alias (NAME,size);
    
    real_size = gtk_icon_size_from_name (NAME);
    if (size != real_size)
    {
        TEST_FAIL ("Name is %s, should be %s",name,NAME);
    }
    
    
    #undef NAME
    #undef SIZE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_register_alias
 * Params: const gchar *alias,GtkIconSize target
 * Returns: void
 * Assertion: Registers alias as another name for target.
 * Params Values: "name_5",GtkIconSize
 * Expected: void
 * 
 * Name: gtk_icon_size_register_alias
 * Params: const gchar *alias,GtkIconSize target
 * Returns: void
 * Assertion: So calling gtk_icon_size_from_name() with alias as argument will return target.
 * Params Values: "name_5",GtkIconSize
 * Expected: void
 *   
 */
static void test_purpose_192()
{
    #define SIZE "!@#$%^&*()_+|~=\";:'?<>`/ "
    #define NAME "name_5"
    
    GtkIconSize size;
    GtkIconSize real_size;
    const gchar* name = "pre_set";
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (SIZE,20,20);
    
    gtk_icon_size_register_alias (NAME,size);
    
    real_size = gtk_icon_size_from_name (NAME);
    if (size != real_size)
    {
        TEST_FAIL ("Name is %s, should be %s",name,NAME);
    }
    
    
    #undef NAME
    #undef SIZE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_size_register_alias
 * Params: const gchar *alias,GtkIconSize target
 * Returns: void
 * Assertion: Registers alias as another name for target.
 * Params Values: "name_6",GtkIconSize
 * Expected: void
 * 
 * Name: gtk_icon_size_register_alias
 * Params: const gchar *alias,GtkIconSize target
 * Returns: void
 * Assertion: So calling gtk_icon_size_from_name() with alias as argument will return target.
 * Params Values: "name_6",GtkIconSize
 * Expected: void
 *   
 */
static void test_purpose_193()
{
    #define SIZE "_a_b "
    #define NAME "name_6"
    
    GtkIconSize size;
    GtkIconSize real_size;
    const gchar* name = "pre_set";
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    
    size = gtk_icon_size_register (SIZE,20,20);
    
    gtk_icon_size_register_alias (NAME,size);
    
    real_size = gtk_icon_size_from_name (NAME);
    if (size != real_size)
    {
        TEST_FAIL ("Name is %s, should be %s",name,NAME);
    }
    
    
    #undef NAME
    #undef SIZE
    
    
	
    test_passed ();

    double_bug = 0;
}

/*
 * Name: gtk_icon_factory_remove_default
 * Params: GtkIconFactory *factory
 * Returns: void
 * Assertion: Removes an icon factory from the list of default icon factories.
 * Params Values: GtkIconFactory*
 * Expected: void  
 */
static void test_purpose_194()
{
    GtkIconFactory* factory;
    GtkIconSet* icon_set;
    GtkIconSet* real_icon_set1;
    GtkIconSet* real_icon_set2;
    GtkIconSet* real_icon_set3;
    

    bug_inf = NULL;
    test_passed_flag = 1;          
    all_test_purp_num++;
    fprintf (stderr, mark_symbol (all_test_purp_num));
    tet_printf("test case: %s, TP number: %d ", tet_pname, tet_thistest);

    factory = gtk_icon_factory_new ();
    if (!factory)
    {
        TEST_FAIL (get_not_created_msg(), NULL); 
        return;
    }
    if (!GTK_IS_ICON_FACTORY (factory))
    {
        TEST_FAIL (get_wrong_type_msg(), NULL); 
        return;
    }
    
    icon_set = gtk_icon_set_new ();
    gtk_icon_factory_add (factory, "ID_449", icon_set);
    
    real_icon_set1 = gtk_icon_factory_lookup_default ("ID_449");
    if (real_icon_set1)
    {
        TEST_FAIL ("Stock 'ID_449' from not added item factory is found", NULL);
        return;
    }
    
    gtk_icon_factory_add_default (factory);
    real_icon_set2 = gtk_icon_factory_lookup_default ("ID_449");
    if (!real_icon_set2)
    {
        TEST_FAIL ("Stock 'ID_449' is not found", NULL);
        return;
    }
    
    gtk_icon_factory_remove_default (factory);
    real_icon_set3 = gtk_icon_factory_lookup_default ("ID_449");
    if (real_icon_set3)
    {
        TEST_FAIL ("Stock 'ID_449' from removed icon factory is found", NULL);
    }
    
    
	
    test_passed ();

    double_bug = 0;
}


static 
char* get_not_created_msg (void)
{
        return "Widget is not created\n";
}

static 
char* get_wrong_type_msg (void)
{
        return "Created widget is of wrong type\n";
}


/*
 *  test_passed
 */
static void 
test_passed (void)
{
    if (bug_inf && !double_bug)
    {
	double_bug = 1;
    }

    if (test_passed_flag)
    {
        test_purp_passed_num++;
    }
    tet_result (TET_PASS);
}

/*
 *  test_failed
 */
static void
test_failed (void)
{
    if (bug_inf && !double_bug)
    {
	double_bug = 1;
    }

    test_passed_flag = 0;
    tet_result (TET_FAIL);
}

/*
 * startup_func
 * open display and initialize other per test case things
 */
static void 
startup_func()
{
    int argc = 1;
    char** argv = NULL;

    argv = calloc(argc,  sizeof(char*));
    argv[0] = (char*)strdup(""); 
    gtk_init(&argc, &argv);
    fprintf (stderr, "Function tests for Themeable_Stock_Images ");
}
 
/*
 * cleanup_func
 */
static void 
cleanup_func()
{

    fprintf (stderr, " %d passed", test_purp_passed_num);
    if (all_test_purp_num != test_purp_passed_num)
    {
        fprintf (stderr, " %d FAILED", all_test_purp_num - test_purp_passed_num);        
    }
    fprintf (stderr, "\n"); 
}


/* 
 *Program hooks into the tet harness 
 */
void (*tet_startup)() = startup_func;
void (*tet_cleanup)() = cleanup_func;

/*
 * TET Tests included in this file. 
 */
struct tet_testlist tet_testlist[] = {
    {test_purpose_1, 1},
    {test_purpose_2, 1},
    {test_purpose_3, 1},
    {test_purpose_4, 1},
    {test_purpose_5, 1},
    {test_purpose_6, 1},
    {test_purpose_7, 1},
    {test_purpose_8, 1},
    {test_purpose_9, 1},
    {test_purpose_10, 1},
    {test_purpose_11, 1},
    {test_purpose_12, 1},
    {test_purpose_13, 1},
    {test_purpose_14, 1},
    {test_purpose_15, 1},
    {test_purpose_16, 1},
    {test_purpose_17, 1},
    {test_purpose_18, 1},
    {test_purpose_19, 1},
    {test_purpose_20, 1},
    {test_purpose_21, 1},
    {test_purpose_22, 1},
    {test_purpose_23, 1},
    {test_purpose_24, 1},
    {test_purpose_25, 1},
    {test_purpose_26, 1},
    {test_purpose_27, 1},
    {test_purpose_28, 1},
    {test_purpose_29, 1},
    {test_purpose_30, 1},
    {test_purpose_31, 1},
    {test_purpose_32, 1},
    {test_purpose_33, 1},
    {test_purpose_34, 1},
    {test_purpose_35, 1},
    {test_purpose_36, 1},
    {test_purpose_37, 1},
    {test_purpose_38, 1},
    {test_purpose_39, 1},
    {test_purpose_40, 1},
    {test_purpose_41, 1},
    {test_purpose_42, 1},
    {test_purpose_43, 1},
    {test_purpose_44, 1},
    {test_purpose_45, 1},
    {test_purpose_46, 1},
    {test_purpose_47, 1},
    {test_purpose_48, 1},
    {test_purpose_49, 1},
    {test_purpose_50, 1},
    {test_purpose_51, 1},
    {test_purpose_52, 1},
    {test_purpose_53, 1},
    {test_purpose_54, 1},
    {test_purpose_55, 1},
    {test_purpose_56, 1},
    {test_purpose_57, 1},
    {test_purpose_58, 1},
    {test_purpose_59, 1},
    {test_purpose_60, 1},
    {test_purpose_61, 1},
    {test_purpose_62, 1},
    {test_purpose_63, 1},
    {test_purpose_64, 1},
    {test_purpose_65, 1},
    {test_purpose_66, 1},
    {test_purpose_67, 1},
    {test_purpose_68, 1},
    {test_purpose_69, 1},
    {test_purpose_70, 1},
    {test_purpose_71, 1},
    {test_purpose_72, 1},
    {test_purpose_73, 1},
    {test_purpose_74, 1},
    {test_purpose_75, 1},
    {test_purpose_76, 1},
    {test_purpose_77, 1},
    {test_purpose_78, 1},
    {test_purpose_79, 1},
    {test_purpose_80, 1},
    {test_purpose_81, 1},
    {test_purpose_82, 1},
    {test_purpose_83, 1},
    {test_purpose_84, 1},
    {test_purpose_85, 1},
    {test_purpose_86, 1},
    {test_purpose_87, 1},
    {test_purpose_88, 1},
    {test_purpose_89, 1},
    {test_purpose_90, 1},
    {test_purpose_91, 1},
    {test_purpose_92, 1},
    {test_purpose_93, 1},
    {test_purpose_94, 1},
    {test_purpose_95, 1},
    {test_purpose_96, 1},
    {test_purpose_97, 1},
    {test_purpose_98, 1},
    {test_purpose_99, 1},
    {test_purpose_100, 1},
    {test_purpose_101, 1},
    {test_purpose_102, 1},
    {test_purpose_103, 1},
    {test_purpose_104, 1},
    {test_purpose_105, 1},
    {test_purpose_106, 1},
    {test_purpose_107, 1},
    {test_purpose_108, 1},
    {test_purpose_109, 1},
    {test_purpose_110, 1},
    {test_purpose_111, 1},
    {test_purpose_112, 1},
    {test_purpose_113, 1},
    {test_purpose_114, 1},
    {test_purpose_115, 1},
    {test_purpose_116, 1},
    {test_purpose_117, 1},
    {test_purpose_118, 1},
    {test_purpose_119, 1},
    {test_purpose_120, 1},
    {test_purpose_121, 1},
    {test_purpose_122, 1},
    {test_purpose_123, 1},
    {test_purpose_124, 1},
    {test_purpose_125, 1},
    {test_purpose_126, 1},
    {test_purpose_127, 1},
    {test_purpose_128, 1},
    {test_purpose_129, 1},
    {test_purpose_130, 1},
    {test_purpose_131, 1},
    {test_purpose_132, 1},
    {test_purpose_133, 1},
    {test_purpose_134, 1},
    {test_purpose_135, 1},
    {test_purpose_136, 1},
    {test_purpose_137, 1},
    {test_purpose_138, 1},
    {test_purpose_139, 1},
    {test_purpose_140, 1},
    {test_purpose_141, 1},
    {test_purpose_142, 1},
    {test_purpose_143, 1},
    {test_purpose_144, 1},
    {test_purpose_145, 1},
    {test_purpose_146, 1},
    {test_purpose_147, 1},
    {test_purpose_148, 1},
    {test_purpose_149, 1},
    {test_purpose_150, 1},
    {test_purpose_151, 1},
    {test_purpose_152, 1},
    {test_purpose_153, 1},
    {test_purpose_154, 1},
    {test_purpose_155, 1},
    {test_purpose_156, 1},
    {test_purpose_157, 1},
    {test_purpose_158, 1},
    {test_purpose_159, 1},
    {test_purpose_160, 1},
    {test_purpose_161, 1},
    {test_purpose_162, 1},
    {test_purpose_163, 1},
    {test_purpose_164, 1},
    {test_purpose_165, 1},
    {test_purpose_166, 1},
    {test_purpose_167, 1},
    {test_purpose_168, 1},
    {test_purpose_169, 1},
    {test_purpose_170, 1},
    {test_purpose_171, 1},
    {test_purpose_172, 1},
    {test_purpose_173, 1},
    {test_purpose_174, 1},
    {test_purpose_175, 1},
    {test_purpose_176, 1},
    {test_purpose_177, 1},
    {test_purpose_178, 1},
    {test_purpose_179, 1},
    {test_purpose_180, 1},
    {test_purpose_181, 1},
    {test_purpose_182, 1},
    {test_purpose_183, 1},
    {test_purpose_184, 1},
    {test_purpose_185, 1},
    {test_purpose_186, 1},
    {test_purpose_187, 1},
    {test_purpose_188, 1},
    {test_purpose_189, 1},
    {test_purpose_190, 1},
    {test_purpose_191, 1},
    {test_purpose_192, 1},
    {test_purpose_193, 1},
    {test_purpose_194, 1},
    {NULL,0}
};
